### 1.1.10 确保无可执行文件的分区以noexec方式挂载

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

数据盘只是用于保存系统运行过程中的数据，并不需要在数据盘上执行相关命令，对于这种情况，该硬盘或分区必须以noexec方式挂载，提高安全性，减少攻击面。

**规则影响：**

硬盘或分区如果以noexec方式挂载，那么该挂载点目录下的可执行文件无法直接运行。

**检查方法：**

通过mount命令查看指定挂载点目录是否以noexec方式挂载：

```bash
# mount | grep "\/root\/noexec" | grep "noexec"
/dev/vda on /root/noexec type ext4 (rw,noexec,relatime,seclabel)
```

**修复方法：**

  ```bash
  # umount /root/noexec
  # mount -o noexec /dev/vda /root/noexec/
  ```

* 如果硬盘或分区是通过/etc/fstab配置文件进行挂载的，那么通过修改该文件，为指定挂载点添加noexec挂载方式，如：

  ```bash
  # vim /etc/fstab
  /dev/vda /root/noexec ext4 noexec 0 0
  ```