### 1.1.11 确保可移动设备分区以noexec、nodev方式挂载

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

可移动设备本身存在不确定性，来源、过往使用情况、运输过程等都无法保证绝对安全，因此可移动设备往往是病毒传播的主要宿主设备。所以针对可移动设备，要求必须以noexec、nodev方式挂载，提高安全性，减少攻击面。

noexec可以防止可移动设备上文件被直接执行，如病毒文件，攻击脚本等；

nodev可以防止可移动设备上不正确的设备文件链接到服务器真实设备，从而导致攻击行为；

常见的可移动设备如：CD/DVD/USB等。

**规则影响：**

可移动设备如果以noexec方式挂载，那么该挂载点目录下的可执行文件无法直接运行。


**检查方法：**

通过mount命令查看指定挂载点目录是否以noexec、nodev方式挂载，此处假设/dev/vda为可移动设备：

```bash
# mount | grep "\/dev\/vda"
/dev/vda on /root/noexecdir type ext4 (rw,nodev,noexec,relatime,seclabel)
```

**修复方法：**

卸载对应挂载点，重新以nodev、noexec方式挂载

```bash
# umount /root/noexecdir
# mount -o nodev,noexec /dev/vda /root/noexecdir
```