### 1.1.12 确保无需SUID/SGID的分区以nosuid方式挂载

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

可执行文件设置SUID位后，即使执行该文件的用户并不是文件的属主，在执行过程中，该进程也会被暂时赋予文件属主的权限。例如普通用户test执行一个权限为755，属主为root的程序，那么如果该程序没有设置SUID位，进程就只有test用户的权限；如果被设置了SUID，执行过程中，进程就拥有root的权限。SGID是类似的功能，只不过是拥有了文件属组的权限。对于不需要有SUID/SGID的分区采用nosuid的方式挂载，这样可以使该分区带SUID/SGID的文件的S位失效，防止通过该分区的可执行文件进行提权，加强了分区的安全性。

用户需要根据实际场景，规划各挂载硬盘和分区，设置nosuid挂载项。

**规则影响：**

无

**检查方法：**

通过mount命令检查文件系统是否以nosuid方式挂载，该命令返回未使用nosuid方式挂载的硬盘或分区，如下例中返回的挂载点均为系统默认挂载点（部分目录因硬盘分区，部署平台而不同），均需要suid功能，如果命令执行后存在与实际场景相关的目录，需要具体分析该目录是否挂载正确：

```bash
# mount | grep -v "nosuid"
/dev/mapper/openeuler-root on / type ext4 (rw,relatime,seclabel)
selinuxfs on /sys/fs/selinux type selinuxfs (rw,relatime)
systemd-1 on /proc/sys/fs/binfmt_misc type autofs (rw,relatime,fd=33,pgrp=1,timeout=0,minproto=5,maxproto=5,direct,pipe_ino=16986)
hugetlbfs on /dev/hugepages type hugetlbfs (rw,relatime,seclabel,pagesize=2M)
/dev/sda2 on /boot type ext4 (rw,relatime,seclabel)
/dev/sda1 on /boot/efi type vfat (rw,relatime,fmask=0077,dmask=0077,codepage=437,iocharset=ascii,shortname=winnt,errors=remount-ro)
/dev/mapper/openEuler-home on /home type ext4 (rw,relatime,seclabel)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw,relatime)
```

**修复方法：**

* 卸载对应挂载点，重新以nosuid方式挂载：

  ```bash
  # umount /root/nosuid
  # mount -o nosuid /dev/vda /root/nosuid/
  ```

*  如果硬盘或分区是通过/etc/fstab配置文件进行挂载的，那么通过修改该文件，为指定挂载点添加nosuid挂载方式，如：

  ```bash
  # vim /etc/fstab
  /dev/vda /root/nosuid ext4 nosuid 0 0
  ```