### 1.1.13 确保删除文件不必要的SUID和SGID位

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

在Linux中，SUID（Set User ID）和 SGID（Set Group ID）是在UNIX和类UNIX操作系统中用于控制程序权限的特殊权限位，确保文件不包含不必要的SUID和SGID位非常重要，以提高系统的安全性。这些位允许文件在执行时以文件所有者或文件所属组的权限运行，可能会导致潜在的安全风险

**规则影响：**

无

**检查方法：**

可使用如下命令查找系统中的SUID和SGID文件，如果无返回，表示不存在该类文件：

```
# find / -type f \( -perm -4000 -o -perm -2000 \) -exec ls -l {} \;
null
```

**修复方法：**

找到SUID或SGID文件，需要审查这些文件并确定是否确实需要这些权限。通常，只有一些特定的系统工具或程序需要SUID或SGID权限，而绝大多数文件不需要。

如果确定某个文件不需要SUID或SGID权限，可以将其文件删除或移除文件的SUID和SGID位，执行命令行如下：

```
# rm -rf /path/to/file
或
# chmod u-s,g-s /path/to/file
```