### 1.1.15 确保用户可打开文件数量配置正确

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

在Linux系统中可以打开的文件总数是有限制的，如果全部资源被某个用户会话占用，其他用户将无法正常打开文件。

openEuler默认限制每个用户会话最多打开文件句柄数为1024，超过这个数会禁止打开新文件句柄。用户可以修改当前会话的最大允许值，但不能超过管理员设置的Hard上限（openEuler默认524288），root管理员可以修改该上限值，没有限制。用户可根据自身业务特点，设置合理的数值，防止单个用户会话的所有进程打开过多的文件句柄，耗尽系统资源。
可以通过ulimit命令进行设置，主要有两个参数：
* -Hn，该参数用于查看或设置上限最大值，这个值对于普通用户会话而言，一旦设定以后，只能调小，不能调大，比如第一次设置为3000（不能超过管理员设置的系统最大值，比如524288），那么后续设置只能为小于等于3000；
* -Sn，该参数用于查看或设置当前上限值，这个值是实际用于打开句柄数判断的值，这个值可以任意调大或调小，但不能超过-Hn设置的上限最大值。

普通用户进行设置，均只作用于当前会话。

**规则影响：**

设置过小，可能导致用户在当前会话中无法打开必要的文件句柄，设置过大可能导致系统资源耗尽。

**检查方法：**

* 查看当前限制值：

  ```bash
  # ulimit -Sn
  1024
  ```

* 查看普通用户可修改的上限值：

  ```bash
  # ulimit -Hn
  524288
  ```

**修复方法：**

* 可以通过修改/etc/security/limits.conf文件配置每个用户默认的上限和上限最大值，比如加入如下行：
  ```bash
  用户名 hard nofile 10000
  用户名 soft nofile 2000
  ```
* 可以在会话中使用ulimit命令进行临时设置。

  普通用户设置上限2000：

  ```bash
  $ ulimit -Sn 2000
  ```

  普通用户设置上限最大值5000（不能超过原上限最大值）：

  ```bash
  $ ulimit -Hn 5000
  ```

  同时设置上限和上限最大值，可以使用如下命令：

  ```bash
  $ ulimit -n 3000
  ```

  root用户设置上限以及上限最大值的方法同普通用户一样，但root用户可以将上限最大值设置为大于openEuler默认值524288：

  ```bash
  # ulimit -Hn 1000000
  # ulimit -Hn
  1000000
  ```