### 1.1.17 避免使用USB存储

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

USB存储设备通常用于在服务器之间拷贝数据，但由于USB存储设备上的数据一般情况下无法通过技术手段保护，增加了被攻击的风险。如果USB设备上存在病毒、木马等攻击程序，将可能导致服务器被感染破坏，如果USB存储设备管理不善，将导致数据泄露。所以攻击者可以通过构造、破坏USB存储数据，再利用合法的管理人员在服务器上操作USB存储设备，达到攻击服务器、窃取数据的目的。建议根据实际场景，禁用USB存储。

**规则影响：**

无法使用USB存储数据

**检查方法：**

使用如下命令检查输出结果，如果输出“install /bin/true”，表示USB存储设备已经被禁止使用；如果输出“insmod /lib/modules/(kernel version)/kernel/drivers/usb/storage/usb-storage.ko.xz”，表示未被禁止，并列出ko所在目录：

```bash
# modprobe -n -v usb-storage
install /bin/true
```

**修复方法：**

在/etc/modprobe.d/目录下，添加一个任意文件名的，并以.conf为后缀的配置文件，属主和属组均为root, 权限600，按照如下格式填入代码，即可禁用USB存储：

```bash
# vim /etc/modprobe.d/test.conf
install usb-storage /bin/true
```