### 1.1.18 应当分区管理硬盘数据

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

在安装操作系统时，应根据实际场景特点，将操作系统数据同业务数据分区管理，避免将所有数据放在一个硬盘或分区下，合理规划硬盘分区可以避免或降低如下风险：

* 日志文件过大，导致业务或系统数据盘满；
* 普通账号home目录过大，导致系统或业务盘满；
* 系统分区不独立，导致盘满后，操作系统基础服务故障，引起全面DOS攻击；
* 不利于权限最小化控制，不利于数据盘加密；
* 盘损坏后不利于系统或数据恢复。

openEuler作为通用操作系统，默认安装单独分区“/boot、/tmp、/home、/”，建议根据实际场景确定其他目录的分区挂载以及大小。

**规则影响：**

无

**检查方法：**

通过如下命令检查指定目录是否挂载合理，具体目录清单可根据实际情况增减，如果返回为空，表示这些目录都没有单独挂载分区，否则返回挂载列表：

```bash
# df | grep -iE "/boot|/tmp|/home|/var|/usr"
```

**修复方法：**

根据实际使用场景对硬盘进行合理划分，建议如下：

* 操作系统中的“/boot、/home、/tmp、/usr、/var”目录，建议在系统安装部署时同根目录“/”分开，单独分区挂载，并安装系统文件，其中“/tmp”目录一般挂载为tmpfs格式的临时内存文件系统，如果关机后用户业务不需要保持“/tmp”目录下文件持久化，可以不指定硬盘分区，操作系统自动挂载tmpfs文件系统；
* 业务数据目录建议单独分区或独立硬盘、磁阵挂载；
* 本地转储（或保存）的日志，建议单独分区或硬盘、磁阵挂载；
* 合理分配各个分区的空间大小。

对于数据盘，可以通过mount命令进行临时挂载，例如：

```bash
# mount /dev/sdb /mnt/data
```

也可以修改/etc/fstab文件，确保下次重启后自动挂载：

```bash
# echo "/dev/sdb /home/test ext4 defaults 1 1" >> /etc/fstab
```
