### 1.1.19 确保LD_LIBRARY_PATH变量定义正确

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

LD_LIBRARY_PATH是Linux的环境变量，程序加载动态链接库时，会优先从该环境变量指定的路径中获取。通常情况下该环境变量不应该被设置，如果被恶意设置为不正确的值，程序在运行时就有可能链接到不正确的动态库，导致安全风险。
注：/etc/ld.so.conf.d中配置也会影响动态库加载，需要确保正确配置。

openEuler默认不设置该变量，根据实际场景，如果必须设置LD_LIBRARY_PATH，需确保在所有用户上下文中该值都是正确的。

**规则影响：**

无

**检查方法：**

* 有多个配置文件可以永久设置LD_LIBRARY_PATH值，需要进行排查，这些文件包括：/etc/profile、~/.bashrc、~/.bash_profile，后两个文件为用户home目录下的文件，每个用户都有，检查时务必不能遗漏。

  使用grep命令进行检查，举例中发现/etc/profile文件中设置了LD_LIBRARY_PATH值：

  ```bash
  # grep "LD_LIBRARY_PATH" /etc/profile ~/.bashrc ~/.bash_profile
  /etc/profile:export LD_LIBRARY_PATH=/home/
  ```

* 检查当前用户上下文中是否存在LD_LIBRARY_PATH值，如果未设置LD_LIBRARY_PATH，则echo命令执行完以后打印为空，否则打印出当前设置的LD_LIBRARY_PATH值：

  ```bash
  # echo $LD_LIBRARY_PATH
  /home/
  ```

**修复方法：**

删除所有配置文件中LD_LIBRARY_PATH配置项，或将其设置为正确值。