### 1.1.20 确保用户PATH变量被严格定义

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

Linux下PATH变量定义的是当前用户上下文中可执行文件查找路径，例如：用户在任意目录下使用ls命令，那么系统会在PATH变量指定的目录下查找ls命令，找到后执行。所有用户上下文中的PATH变量不能包含当前目录“.”。目录必须是在文件系统中真实存在、并符合系统的设计期望的路径。正确的PATH值，可以有效防止系统命令被恶意的指令替代，确保系统命令能够安全执行。

所以PATH变量应该被定义为正确的值，openEuler系统默认设置为：

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin

可以根据实际场景对PATH进行修改，但务必确保正确。

**规则影响：**

无

**检查方法：**

通过echo命令可以打印出当前用户上下文中PATH的值，检查是否正确，openEuler root用户上下文中PATH值如下：

```bash
# echo $PATH
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
```

openEuler普通用户test上下文中PATH值如下：

```bash
# echo $PATH
/usr/local/bin:/usr/bin
```

**修复方法：**

PATH环境变量分为两部分，一部分在/etc/profile文件中设置，一部分在用户目录下.bashrc或.bash_profile文件中设置，前者影响所有用户，后者只影响当前用户。

所以可以通过修改这两个文件中PATH相关字段代码，即可永久修改系统PATH变量值，例如：

```bash
# vim /etc/profile
export PATH=$PATH:<attach new path>
```

如果只是临时修改当前会话的PATH值，可以执行如下命令，会话关闭后失效：

```bash
# export PATH=$PATH:<attach new path>
或
# export PATH=<the whole of new path>
```