### 1.1.2 禁止存在空链接文件

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

空链接文件一方面属于冗余文件，浪费系统资源，另一方面如果后续在链接目标位置安装或者创建了同名同路径的文件，但却没有清理历史上的链接文件，该目标文件就可以通过链接进行访问，可能导致文件信息泄露甚至被篡改。链接文件所指向的实际文件如果已经被删除，那么链接文件本身也就失去了存在的必要，务必同时删除，确保系统中不存在空链接文件。

需要注意，系统运行时，部分目录下存在一些系统临时文件或链接，这些是随进程动态变化的，可以作为例外忽略，这些目录常见的有：/proc、/run、/var、/sys、/dev。

**规则影响：**

无

**检查方法：**

使用find命令在全局或某个目录下查找空链接文件，例如：

```
# find ./ -type l -follow
./testlink
```

该命令如果返回输出为空，表示在指定目录下没有找到空链接文件，否则会返回空链接文件名，如上面例子中的testlink文件。

如果要排除某些目录不做搜索，例如排除/proc、/run、/var、/sys、/dev目录，可使用如下命令，可以搜索到/root目录下testlink是空链接文件，而部分系统目录被排除在外，未被搜索：

```
# find / -path /var -prune -o -path /run -prune -o -path /proc -prune -o -path /sys -prune -o -path /dev -prune -o -type l -follow
/dev
/proc
/root/testlink
/run
/var
/sys
```

也可以使用-xdev参数，只搜索指定目录所在分区的文件系统，对于其他通过mount挂载的目录不做搜索：

```
# find / -xdev -type l -follow
```

**修复方法：**

搜索到空链接文件后，使用rm命令删除该文件：

```
# find ./ -type l -follow
./testlink
# rm ./testlink
```