### 1.1.3 禁止存在隐藏的可执行文件

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

在linux系统中，以“.”为前缀的文件是隐藏文件（除了当前目录和上层目录的“.”、“..”），系统中不允许存在可执行的隐藏文件。

.bashrc、.bash_profile、.bash_logout这三个文件是系统在创建用户账号后，账号登录/登出shell时的脚本文件，符合业界惯例，可不删除，其他隐藏的可执行文件必须删除，或去除可执行权限。

**规则影响：**

无

**检查方法：**

通过find命令可以查找是否存在可执行的隐藏文件，如下命令是在根文件系统下全局查找，如果返回为空，则表示未找到任何可执行的隐藏文件，否则列出相应文件：

```
# find / -type f -name "\.*" -perm /+x
/etc/skel/.bashrc
/etc/skel/.bash_profile
/etc/skel/.bash_logout
```

**修复方法：**

根据实际情况，有三种修改方式：

- 使用rm命令删除隐藏的可执行文件

  ```
  # rm .testfile
  ```

- 使用mv命令将隐藏文件修改为普通文件

  ```
  # mv .testfile testfile
  ```

- 使用chmod命令去除可执行权限，例如：

  ```
  # chmod 644 .testfile
  ```