### 1.1.4 确保全局可写目录已设置sticky位

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

sticky位，又叫粘滞位，普通文件的粘滞位会被内核忽略。粘滞位被设置在目录的执行许可位置上，用t表示，设置了该位后，其它用户就不可以删除该目录下不属于他的文件和目录。但是子目录不继承该权限，要再设置才可使用。对于全局可写的目录，要求必须设置粘滞位。

如果用户对目录有写权限，则可以删除其中的文件和子目录，即使该用户不是这些文件的所有者，而且也没有读或写许可。

**规则影响：**

无

**检查方法：**

使用如下命令查找指定目录下有全局可写权限且未设置粘滞位的目录，返回为空表示未找到，举例中test目录为全局可写目录，但未设置粘滞位：

```
# find ./ -type d -perm -0002 -a ! -perm -1000
./test
```

**修复方法：**

使用chmod命令设置目录粘滞位，其中第一位“1”表示设置粘滞位，设置完成以后，可以通过ll命令查看是否已经设置成功，如下例子中，other用户的x位已经被设置为t：

```
# chmod 1777 test
# ll -d test
drwxrwxrwt. 2 root root 4096 Nov  4 14:31 test
```
