### 1.1.6 禁止存在全局可写的文件

**级别：** 要求

**适用版本：** 全部

**规则说明：** 
全局可写意味着所有用户都可以对文件进行写操作，通常情况下这种权限并不是必须的。如果文件被不合理的设置了全局可写权限，容易被攻击者篡改，导致安全风险。所以如果文件不得不存在全局可写的权限，需要针对实际场景分析安全风险，确保攻击者无法利用此文件进行攻击。

可以在根目录下搜索全局可写文件，需要例外的是：“/sys”、“/proc”这两个系统目录在linux运行时存在大量的全局可写文件，所以在检查时应排除这两个目录，避免混淆。

**规则影响：**

无

**检查方法：**

使用如下命令在根目录下进行搜索（已排除了“/sys”、“/proc”这两个目录），返回全局可写文件列表，如果返回为空，表示无全局可写文件：

```bash
# find / -path /proc -prune -o -path /sys -prune -o -type f -perm -0002 -exec ls -lg {} \;
-rwxrwxrwx. 1 root 0 Dec  1 17:34 /root/test
```

也可以使用-xdev参数，只搜索指定目录所在分区的文件系统，对于其他通过mount挂载的目录不做搜索：

```bash
# find / -xdev -type f -perm -0002 -exec ls -lg {} \;
-rwxrwxrwx. 1 root 0 Dec  1 17:34 /root/test
```

**修复方法：**

对于不合理的权限，使用chmod命令进行修改，去除全局可写，例如：

```bash
# chmod 755 test
# ll test
-rwxr-xr-x. 1 root root 0 Dec  1 17:34 test
```