### 1.1.7 确保移除不需要的文件系统挂载支持

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

Linux系统支持多种文件系统，通过ko方式加载进内核。openEuler作为通用操作系统平台，会提供各种文件系统ko，保存在/lib/modules/(kernel version)/kernel/fs/目录下，可以通过insmod/modprobe命令进行加载支持。禁用不需要的文件系统的挂载支持，可以缩小攻击面，防止攻击者通过利用某些不常用文件系统的漏洞对系统进行攻击。

使用者应根据实际场景，确定哪些文件系统是不需要被支持的，并通过配置禁止这些文件系统被挂载，这些文件系统通常包括：

cramfs、freevxfs、jffs2、hfs、hfsplus、squashfs、udf、vfat、fat、msdos、nfs、ceph、fuse、overlay、xfs

**规则影响：**

移除的文件系统，不再被支持。

**检查方法：**

使用如下命令检查输出结果（例如cramfs，其他文件系统类似），如果输出“install /bin/true”，表示该文件系统已经被禁止挂载，如果输出“insmod /lib/modules/(kernel version)/kernel/fs/cramfs/cramfs.ko”，表示该文件系统未被禁止挂载，并列出ko所在目录：

```bash
# modprobe -n -v cramfs | grep -E '(cramfs|install)'
install /bin/true
```

如果上述命令没有回显，再执行以下命令，如果有输出则表示该文件系统已被挂载：

```bash
# lsmod | grep cramfs
cramfs  135168  0
```

**修复方法：**

对已挂载的文件系统，确定是实际场景不需要被支持的，可通过如下命令移除（例如cramfs，其他文件系统类似）：
```bash
# modprobe -r cramfs
```

在/etc/modprobe.d/目录下，添加一个任意文件名的，并以.conf为后缀的配置文件，属主和属组均为root, 权限600，并根据实际场景将需要被禁止挂载的文件系统按照如下格式填入：

```bash
# vim /etc/modprobe.d/test.conf
install cramfs /bin/true
install freevxfs /bin/true
install jffs2 /bin/true
install hfs /bin/true
install hfsplus /bin/true
install squashfs /bin/true
install udf /bin/true
install vfat /bin/true
install fat /bin/true
install msdos /bin/true
install nfs /bin/true
install ceph /bin/true
install fuse /bin/true
install overlay /bin/true
install xfs /bin/true
```