### 1.1.8 确保无需修改的分区以只读方式挂载

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

以只读方式挂载无需数据修改的文件系统，可以避免无意或恶意的数据篡改行为，减小攻击面。

**规则影响：**

文件系统一旦以只读方式挂载，将无法对文件和目录进行创建、修改、删除动作，用户需要根据实际场景进行配置，操作系统运行必须的文件挂载可以忽略此项要求。

**检查方法：**

通过mount命令查看挂载的文件系统是否符合要求，例如查看/root/readonly目录是否为只读挂载，可以使用如下命令，如果无返回数据，说明该目录未被挂载，或非只读挂载：

```bash
# mount | grep "\/root\/readonly" | grep "\<ro\>"
/dev/vda on /root/readonly type ext4 (ro,relatime,seclabel)
```

**修复方法：**

* 卸载对应挂载点，重新以只读方式挂载：

  ```bash
  # umount /root/readonly
  # mount -o ro /dev/vda /root/readonly/
  ```

* 如果硬盘或分区是通过/etc/fstab配置文件进行挂载的，那么通过修改该文件，为指定挂载点添加ro挂载方式，如：

  ```bash
  # vim /etc/fstab
  /dev/vda /root/readonly ext4 ro 0 0
  ```