### 1.1.9 确保无需挂载设备的分区以nodev方式挂载

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

nodev表示不允许挂载设备文件，用于减小攻击面，增加安全性。目录被挂载时，如果设置了nodev选项，那么该目录下所有块设备、字符设备等设备文件将被解析为普通文件，无法按设备文件进行操作。如果挂载时未设置nodev，将导致安全风险，例如攻击者在U盘上创建了一个文件系统，并在其中创建了一个块设备文件（自己的U盘，有相应的权限），而这个块设备实际是指向/dev/sda之类的服务器硬盘或分区的，如果攻击者有机会将U盘插入到服务器上，服务器又加载了这个U盘，那么攻击者可以通过这个块设备文件访问到相应硬盘数据。如果将上述案例中的U盘改为其他硬盘或分区，也存在类似问题，只要该硬盘或分区上存在恶意构造的设备文件，就可以形成攻击。

openEuler系统中默认如下目录被nodev挂载：/sys、/proc、/sys/kernel/security、/dev/shm、/run、/sys/fs/cgroup、/sys/fs/cgroup/systemd、/sys/fs/pstore、/sys/fs/bpf、/sys/fs/cgroup/files、/sys/fs/cgroup/net_cls,net_prio、/sys/fs/cgroup/devices、/sys/fs/cgroup/freezer、/sys/fs/cgroup/cpu,cpuacct、/sys/fs/cgroup/perf_event、/sys/fs/cgroup/pids、/sys/fs/cgroup/hugetlb、/sys/fs/cgroup/memory、/sys/fs/cgroup/blkio、/sys/fs/cgroup/cpuset、/sys/fs/cgroup/rdma、/sys/kernel/config、/sys/kernel/debug、/dev/mqueue、/tmp、/run/user/0

openEuler存在以下目录（部分目录因硬盘分区，部署平台而不同），这些目录默认未被nodev挂载：/dev、/dev/pts、/、/sys/fs/selinux、/proc/sys/fs/binfmt_misc、/dev/hugepages、/boot、/var/lib/nfs/rpc_pipefs、/boot/efi、/home。

实际场景中，根据业务需要，对不需要挂载设备的分区，采用nodev方式挂载。

**规则影响：**

无

**检查方法：**

通过mount命令检查是否存在需要被设置nodev，但却未被设置的挂载点，对返回数据进行分析，确认未设置nodev的挂载点是否正确。此处举例中，除了系统默认未使用nodev挂载的目录外，用户新增的/root/nodev挂载点未使用nodev方式挂载：

```bash
# mount | grep -v "nodev" | awk -F " " '{print $3}'
/dev
/dev/pts
/
/sys/fs/selinux
/proc/sys/fs/binfmt_misc
/dev/hugepages
/boot
/boot/efi
/home
/root/nodev
```

**修复方法：**

  ```bash
  # umount /root/nodev
  # mount -o nodev /dev/vda /root/nodev/
  ```

* 如果硬盘或分区是通过/etc/fstab配置文件进行挂载的，那么通过修改该文件，为指定挂载点添加nodev挂载方式，如：

  ```bash
  # vim /etc/fstab
  /dev/vda /root/nodev ext4 nodev 0 0
  ```