### 1.2.10 禁止安装LDAP服务

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

LDAP（Lightweight Directory Access Protocol，轻型目录访问协议）是一个轻量级的目录访问协议，提供访问控制和维护分布式的目录信息。系统提供LDAP服务会增加系统资源占用，且扩大了攻击面，如果用户业务场景不需要提供LDAP服务，则禁止安装LDAP服务。

openEuler安装镜像中提供了openldap-servers安装包，但默认未安装。

**规则影响：**

依赖于LDAP服务的程序执行受限制。

**检查方法：**

检查是否安装了openldap-servers软件，如果命令返回为空，则表示未安装：

```bash
# rpm -qa | grep "openldap-servers"
```

**修复方法：**

对于已安装openldap-servers组件的服务器，可以通过yum或dnf命令进行卸载：

```bash
# yum remove openldap-servers
```
或
```bash
# dnf remove openldap-servers
```