### 1.2.13 禁止安装NIS客户端

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

NIS（Network Information Service，网络信息服务），以客户端/服务器形式存在，客户端（ypbind）从服务器获取分发的配置信息。NIS服务本质上是一个不安全的服务，容易受到DOS、缓冲区溢出等攻击。如果业务不涉及NIS服务，禁止安装并使用NIS客户端。

openEuler安装镜像中提供了ypbind安装包，但默认未安装。

**规则影响：**

依赖于NIS服务的程序执行受限制。

**检查方法：**

检查是否安装了ypbind软件，如果命令返回为空，则表示未安装：

```bash
# rpm -qa | grep "ypbind"
```

**修复方法：**

对于已安装ypbind组件的服务器，可以通过yum或dnf命令进行卸载：

```bash
# yum remove ypbind
```
或
```bash
# dnf remove ypbind
```