### 1.2.14 禁止安装LDAP客户端

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

LDAP（Lightweight Directory Access Protocol，轻型目录访问协议）是一个轻量级的目录访问协议，提供访问控制和维护分布式的目录信息。系统提供LDAP客户端会造成系统资源浪费，且扩大了攻击面。如果业务场景不需要使用LDAP服务，则禁止安装LDAP客户端。

openEuler安装镜像中提供了openldap-clients安装包，但默认未安装。

**规则影响：**

依赖于LDAP服务的程序执行受限制。

**检查方法：**

检查是否安装了openldap-clients软件，如果命令返回为空，则表示未安装：

```bash
# rpm -qa | grep "openldap-clients"
```

**修复方法：**

对于已安装openldap-clients组件的服务器，可以通过yum或dnf命令进行卸载：

```bash
# yum remove openldap-clients
```
或
```bash
# dnf remove openldap-clients
```