### 1.2.16 禁止安装调测类工具

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

业务环境中如果包含有调测类脚本、工具，容易被攻击者利用并攻击。所以应在生产环境中严禁安装各类调测工具、文件，包括但不限于：代码调试工具，用于调测功能的提权命令、脚本、工具，调试阶段使用的证书、密钥，用于性能测试的perf工具、打点、打桩工具，用于CVE等安全问题验证的攻击脚本、工具脚本等。常见的开源第三方调测类工具包括：strace、gdb、readelf、perf等。

**规则影响：**

无

**检查方法：**

编写脚本工具，在业务环境或镜像环境中通过关键字扫描来判断是否存在调测类工具，脚本中可以包含如下命令：

* 查找相关rpm包是否被安装，用户可根据自身场景，在此基础上添加需要检查的所有rpm包名（此处只是举例，实际包名及范围由用户确定），如果返回为空，表示未安装，否则返回已安装的rpm包列表：

  ```bash
  # rpm -qa | grep -iE "^strace-|^gdb-|^perf-|^binutils-extra|^appict|^kmem_analyzer_tools"
  ```

* 查找相关命令是否被安装，用户可根据自身场景，在此基础上添加需要检查的所有命令名（此处只是举例，实际命令名及范围由用户确定），如果返回为空，表示未安装，否则返回已安装的命令列表：

  ```bash
  # find / -type f \( -name "gdb" -o -name  "perf" -o -name "strace" -o -name "readelf" \)
  ```

**修复方法：**

如果用户业务环境中安装有调测类软件，需通过rpm命令查找并删除软件包，例如删除gdb：

```bash
# rpm -e gdb
```

或者通过rm命令手工删除gdb命令文件，但这种方式仅限于非rpm包方式安装的调测工具，且需确保删除所有相关文件：

```bash
# rm /usr/bin/gdb
```