### 1.2.17 禁止安装开发编译类工具

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

业务环境中如果包含有编译工具，容易被攻击者利用，对环境内关键文件进行编辑篡改、逆向分析，从而实施攻击行为。所以应在生产环境中严禁安装各类编译、反编译、二进制分析类工具，包括但不限于：编译工具，反编译工具，编译环境等。常见的第三方开发编译类工具包括：gcc、cpp、mcpp、flex、cmake、make、rpm-build、ld、ar等。

如果业务环境在部署或运行过程中依赖python、lua、perl等解释器，则可以保留解释器运行环境。

**规则影响：**

无

**检查方法：**

编写脚本工具，在业务环境或镜像环境中通过关键字扫描来判断是否存在开发编译类工具，脚本中可以包含如下命令：

* 查找相关rpm包是否被安装，用户可根据自身场景，在此基础上添加需要检查的所有rpm包名（此处只是举例，实际包名及范围由用户确定），如果返回为空，表示未安装，否则返回已安装的rpm包列表：

  ```bash
  # rpm -qa | grep -iE "^(gcc-|cpp-|mcpp-|flex-|cmake-|make-|rpm-build-|binutils-extra|elfutils-extra|llvm-|rpcgen-|gcc-c++|libtool)"
  ```

* 查找相关命令是否被安装，用户可根据自身场景，在此基础上添加需要检查的所有命令名（此处只是举例，实际命令名及范围由用户确定），如果返回为空，表示未安装，否则返回已安装的命令列表：

  ```bash
  # files=`find / -type f \( -name "gcc" -o -name "g++" -o -name "c++" -o -name  "cpp" -o -name "mcpp" -o -name "flex" -o -name "lex" -o -name  "cmake" -o -name "make" -o -name "rpmbuild" -o  -name "ld" -o -name "ar" -o -name "llc" -o -name "rpcgen" -o -name "libtool" -o -name "javac" -o -name "objdump" -o -name "eu-objdump" -o -name "eu-readelf" -o -name "nm" \) 2> /dev/null`; for f in $files; do if [ -n "$f" ]; then file $f | grep -i "ELF"; fi; done
  ```

**修复方法：**

如果业务环境中安装有开发编译类软件，需通过rpm命令查找并删除软件包，例如删除gcc：

```bash
# rpm -e gcc
```

或者通过rm命令手工删除gcc命令文件，但这种方式仅限于非rpm包方式安装的开发编译工具，且需确保删除所有相关文件：

```bash
# rm /usr/bin/gcc
```