### 1.2.18 避免安装X Window系统

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

X Window在Linux系统中提供图形界面供用户登录和操作，通常情况下服务器场景无需图形界面，管理员通过命令行即可对服务器完成配置修改。X Window图形界面扩大了攻击面，不常用或相对小众的图形界面组件可能存在较多的软件缺陷，容易被攻击者利用，进而对系统进行破坏。另外，在无需图形界面的服务器上安装X Window组件，浪费了服务器资源，增加了维护成本

**规则影响：**

X Windows相关组件无法使用

**检查方法：**

检查是否安装了X Window相关组件，如果命令返回为空，则表示未安装：

```bash
# rpm -qa "xorg-x11"
```

**修复方法：**

对于已安装X Window组件的服务器，可以通过yum或dnf命令进行卸载：

```bash
# yum remove <package name>
或
# dnf remove <package name>
```