### 1.2.19 避免安装HTTP服务

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

HTTP代表超文本协议（Hypertext Transfer Protocol，HTTP）,是一个简单的请求-响应协议，它通常运行在TCP之上。它指定了客户端可能发送给服务器什么样的消息以及得到什么样的响应。请求和响应消息的头以ASCII形式给出；而消息内容则具有一个类似MIME的格式。HTTP服务器允许客户端（通常是浏览器）通过HTTP协议请求网页、图像、文档等Web内容，并将这些内容传送给客户端。

**规则影响：**

依赖于HTTP服务的程序执行受限制。

**检查方法：**

可通过如下命令检查是否安装了httpd客户端软件，如果命令返回“package httpd is not installed”，表示未安装：

```bash
# rpm -q "httpd"
package httpd is not installed
```

**修复方法：**

对于已经安装了httpd软件的系统，可以通过yum或dnf命令进行卸载：

```bash
# yum remove httpd
```
或
```bash
# dnf remove httpd
```