### 1.2.1 禁止安装FTP客户端

**级别：** 要求

**适用版本：** 全部

**规则说明：** 
FTP（File Transfer Protocol，文件传输协议），提供Linux服务器同其他服务器、桌面系统、终端设备之间的文件传输功能。FTP协议本身不支持加密传输，数据传输过程中容易被攻击者窃取，所以禁止安装FTP客户端，并使用FTP协议。未安装FTP客户端的设备，无法对外通过FTP协议进行传输，如业务需要进行文件传输，可以通过SFTP进行替代。

**规则影响：**

未安装FTP客户端，将无法同FTP服务器进行协议连接。

**检查方法：**

可通过如下命令检查是否安装了FTP软件，如果命令返回为"package ftp is not installed"，表示未安装：

```bash
# rpm -q "ftp"
package ftp is not installed
```

**修复方法：**

对于已经安装了FTP软件的系统，可以通过yum或dnf命令进行卸载：

```bash
# yum remove ftp
```
或
```bash
# dnf remove ftp
```
