### 1.2.22 避免启用NFS服务

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

网络文件系统 (NFS) 是 UNIX 环境中最早也是分布最广泛的文件系统之一。它为系统提供了通过网络挂载其他服务器的文件系统的能力。如果系统不导出NFS共享，建议禁用NFS以减少远程攻击面。

**规则影响：**

禁用NFS会影响到系统上依赖NFS的服务和应用程序，以及现有的NFS挂载点。在禁用NFS之前，应确保了解系统上的使用情况，并考虑是否有替代方法来满足文件共享和数据访问的需求。

**检查方法：**

检查是否启动了服务，如果命令返回为disable，则表示服务未启动：

```bash
# systemctl is-enabled nfs-server
disabled
```

**修复方法：**

对于已安装nfs组件的服务器，可以禁用nfs-server服务：

```bash
# systemctl --now disable nfs-server
```

