### 1.2.23 避免启用RPC服务

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

rpcbind服务将远程过程调用(RPC)服务映射到它们侦听的端口。RPC进程在启动时通知rpcbind，注册它们正在侦听的端口以及它们期望服务的RPC程序编号。然后，客户端系统使用特定的RPC程序号联系服务器上的rpcbind。rpcbind服务将客户端重定向到正确的端口号，以便它可以与请求的服务进行通信。

如果系统不需要基于 rpc 的服务，建议禁用 rpcbind 以减少远程攻击面。

**规则影响：**

无

**检查方法：**

检查是否启动了服务，如果命令返回为disabled，则表示服务未启动：

```bash
# systemctl is-enabled rpcbind
disabled
```

**修复方法：**

对于已安装rpcbind组件的服务器，可以禁用rpcbind服务：

```bash
# systemctl --now disable rpcbind
```