### 1.2.2 禁止安装TFTP客户端

**级别：** 要求

**适用版本：** 全部

**规则说明：** 
TFTP（Trivial File Transfer Protocol，简单文件传输协议），提供Linux服务器同其他服务器、桌面系统、终端设备之间的文件传输功能。TFTP协议本身不支持认证和加密机制，通信过程中容易被攻击者仿冒、篡改、以及窃取，所以禁止安装TFTP客户端和服务。未安装TFTP客户端和服务的设备，无法对外提供TFTP服务，也无法使用客户端同外界基于TFTP协议进行通信，如业务需要进行文件传输，可以通过SFTP服务进行替代。

**规则影响：**

依赖于TFTP服务的程序执行受限制。

**检查方法：**

可通过如下命令检查是否安装了TFTP软件，如果命令返回“package tftp is not installed”，表示未安装：

```bash
# rpm -q "tftp"
package tftp is not installed
```

**修复方法：**

对于已经安装了TFTP软件的系统，可以通过yum或dnf命令进行卸载：

```bash
# yum remove tftp tftp-server
```
或
```bash
# dnf remove tftp tftp-server
```
