### 1.2.3 禁止安装Telnet客户端

**级别：** 要求

**适用版本：** 全部

**规则说明：** 
Telnet是一种应用层协议，常用于服务器的远程登录、操作控制、系统修改等；Telnet传输数据未被加密，用户名、口令、传输数据等容易被攻击者窃取，所以应禁止安装和使用Telnet客户端工具，可以使用基于ssh协议的客户端工具进行替代。

**规则影响：**

依赖于Telnet服务的程序执行受限制。

**检查方法：**

可通过如下命令检查是否安装了Telnet客户端软件，如果命令返回“package telnet is not installed”，表示未安装：

```bash
# rpm -q "telnet"
package telnet is not installed
```

**修复方法：**

对于已经安装了Telnet软件的系统，可以通过yum或dnf命令进行卸载：

```bash
# yum remove telnet
```
或
```bash
# dnf remove telnet
```
