### 1.2.4 禁止安装不安全的SNMP协议版本

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

简单网络管理协议（SNMP，Simple Network Management Protocol），是专门设计用于在IP网络中管理网络节点的一种标准协议，该协议允许网元之间传递相关网络管理、控制数据。对于不需要SNMP的场景，如果安装了SNMP，则增加了系统资源消耗，并扩大了攻击面，特别是如果使用了SNMP v1.0协议，将导致攻击者可以轻易窃取、篡改、伪造SNMP报文，对各网元进行攻击。

openEuler安装镜像中提供了net-snmp安装包，但默认未安装。

**规则影响：**

依赖于SNMP服务的程序执行受限制。

**检查方法：** 

可通过如下命令检查是否安装了snmp软件，如果命令返回为空，则表示未安装：

```bash
# rpm -qa | grep -E "net-snmp-[0-9]"
```

**修复方法：** 

对于已安装snmp组件的服务器，可以通过yum或dnf命令进行卸载：

```bash
# yum remove net-snmp
```
或
```bash
# dnf remove net-snmp
```