### 1.2.8 禁止安装rsync服务

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

rsync服务可以用于在服务器之间或者服务器本地不同硬盘分区之间同步数据，但由于rsync使用不加密的传输协议，存在信息泄露的风险。若启用rsync服务，并且在不同服务器之间通过网络传输数据，则攻击者可以通过监听服务器端口或者路由器、交换机数据报文，窃取数据。

openEuler安装镜像中提供了rsync安装包，要求在生产环境中不启动rsync服务。

**规则影响：**

依赖于rsync服务的程序执行受限制。

**检查方法：**

步骤1：

检查是否安装了rsync软件，如果命令返回为空，则表示未安装，符合规范要求，检查结束，否则继续执行步骤2。

```bash
# rpm -qa | grep "rsync"
```

步骤2：

安装了rsync软件时，检查rsync服务是否开启，disabled表示未启用服务，符合规范要求：

```bash
# systemctl is-enabled rsyncd
disabled
```

**修复方法：**

对于已安装rsync组件的服务器，可以禁用rsyncd服务：

```bash
# systemctl --now disable rsyncd
```