### 1.2.9 禁止安装avahi服务

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

avahi是一种零配置的网络实现，包括用于多播DNS/DNS-SD服务的自动发现及自动广播。例如，用户可以将服务器接入网络，并让avahi自动广播其上运行的网络服务，从而方便其他用户访问这些服务。通常并不需要自动发现或者自动广播业务，如果启用不必要的avahi服务，不仅浪费了系统资源，还扩大了攻击面，攻击者可以轻易获取服务器服务情况，并进行针对性的攻击。

**规则影响：**

依赖于avahi服务的程序执行受限制。

**检查方法：**

检查是否安装了avahi软件，如果命令返回为空，则表示未安装：

```bash
# rpm -qa | grep "avahi"
```

注意，由于其他组件依赖，系统默认安装有avahi-libs。同时，可以通过systemctl命令检查是否安装avahi服务（如下返回表示未启动，且未安装avahi服务）：

```bash
# systemctl is-enabled avahi-daemon
Failed to get unit file state for avahi-daemon.service: No such  file or directory
```

**修复方法：**

对于已安装avahi组件的服务器，可以通过yum或dnf命令进行卸载：

```bash
# yum remove avahi
```
或
```bash
# dnf remove avahi
```