### 2.1.10 确保GID唯一

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

要求在/etc/group中涉及到的用户组GID唯一。Linux系统中根据GID来判断用户组权限，如果多个用户组使用同一个GID，则会导致这些用户组拥有一样的权限，可以相互访问拥有组权限的目录，导致越权以及信息泄露。

通常情况下使用useradd/groupadd等命令添加用户账号/用户组，不会存在GID重复问题，但如果管理员操作失误，直接修改/etc/group文件，则可能导致问题。

**规则影响：**

无

**检查方法：**

使用如下命令进行检查，如果无返回输出，则表示所有GID唯一，否则列出GID和对应的复用次数，如3003这个GID被两个用户组使用：

```bash
# cat /etc/group | awk -F ":" '{a[$3]++}END{for(i in a){if(a[i]!=1){print i, a[i]}}}'
3003 2
```

**修复方法：**

分析GID被重复使用的原因，然后删除出现问题的用户组（注意，修复时需按照实际场景，先删除属于该用户组的用户账号）：

```bash
# groupdel test1
```