### 2.1.11 确保组名唯一

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

要求在/etc/group中涉及到的用户组名唯一。如果/etc/group中的用户组名重复，则实际只有/etc/group文件中第一个该用户组的GID有效。

通常情况下使用useradd/groupadd等命令添加用户账号/用户组，不会存在用户组名重复问题，但如果管理员操作失误，直接修改/etc/group文件，则可能导致问题。

**规则影响：**

无

**检查方法：**

使用如下命令进行检查，如果无返回输出，则表示所有用户组名唯一，否则列出组名和对应的复用次数，如test这个组名存在重复：

```bash
# cat /etc/group | awk -F ":" '{a[$1]++}END{for(i in a){if(a[i]!=1){print i, a[i]}}}'
test 2
```

**修复方法：**

分析用户组名被重复使用的原因，然后手工删除/etc/group文件中出现问题的用户组，并按需确定是否使用groupadd命令重新添加正确的组名：

```bash
# groupadd test
```