### 2.1.13 避免Home目录下存在.forward文件

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

“.forward”文件可以配置一个email地址，当用户收到邮件时，会自动转发到该地址。如无相关邮件转发场景，建议删除“.forward”文件。如果存在“.forward”文件，可能导致携带有敏感信息的用户邮件被自动转发到高风险的邮箱。

**规则影响：**

无

**检查方法：**

使用如下脚本进行检查，如果无返回输出，则表示所有Home目录下无“.forward”文件：

```bash
#!/bin/bash  
  
grep -E -v '^(halt|sync|shutdown)' "/etc/passwd" | awk -F ":" '($7 != "/bin/false" && $7 != "/sbin/nologin") {print $6}' | while read home;
do
    if [ -d "$home" ]; then
        find $home -name ".forward"
    fi
done
```

**修复方法：**

使用rm命令将检查方法找到“.forward”文件删除。