### 2.1.14 避免Home目录下存在.netrc文件

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

“.netrc”文件保存用于登录远端ftp服务器的口令，如无相关ftp场景，建议删除“.netrc”文件。“.netrc”文件中存储的口令是明文的，容易被攻击者窃取，从而导致ftp服务器敏感数据泄露，甚至服务器遭受攻击。

**规则影响：**

ftp服务器自动登录受限制

**检查方法：**

使用如下脚本进行检查，如果无返回输出，则表示所有Home目录下无“.netrc”文件：

```bash
#!/bin/bash

grep -E -v '^(halt|sync|shutdown)' "/etc/passwd" | awk -F ":" '($7 != "/bin/false" && $7 != "/sbin/nologin") {print $6}' | while read home;
do
    if [ -d "$home" ]; then
        find $home -name ".netrc"
    fi
done
```

**修复方法：**

使用rm命令将检查方法找到“.netrc”文件删除。