### 2.1.2 禁止存在不使用的账号

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

如果系统中存在业务无关的账号，容易被攻击者利用该账号进行攻击行为。系统应该只保留业务所必须的账号，其他用于安装部署、调试验证，以及问题定位等的账号都必须被删除。

openEuler默认满足不存在不使用的账号。

**规则影响：**

无

**检查方法：**

openEuler默认只保留系统运行必须的账号，根据自身业务场景确定是否存在业务无关账号，可以使用如下命令查找系统中所有账号：

```bash
# cat /etc/passwd | awk  -F ":" '{print $1}'  
```

按照以下步骤进行查询和判断：

- 在未部署业务的平台上，使用上述命令获取所有账号信息；
- 在完整部署业务的平台上，使用上述命令获取所有账号信息；
- 对比两者返回结果，对差异部分进行分析，是否符合业务设计。

**修复方法：**

如果存在业务无关账号，可通过如下步骤进行删除：

- 查找所有该账号为属主的文件，并通过rm命令手工删除这些文件，如下（test为账号名，/home/test目录在删除账号时可通过参数自动删除，xxx表示需要被删除的文件或目录）

  ```bash
  # find / -user test
  # rm xxx -rf
  ```

- 删除账号，包括home目录

  ```bash
  # userdel -rf test
  ```