### 2.1.4 禁止存在UID为0的非root账号

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

UID为0的账号是linux系统中的超级管理员账号，账号名业界约定俗成为root，系统中不允许存在非root账号的UID等于0。如果将root账号UID改为其他值，而其他账号test的UID改为0，那么就会导致账号test拥有超级管理员权限，主要有以下几个问题：

- 业界通用的安全扫描工具会认为账号test设置了非法UID；
- 增加管理成本，如果用户在使用test账号时没有意识到是超级管理员，可能因疏忽的缘故导致系统被破坏。

openEuler默认满足不存在UID为0的非root账号。

**规则影响：**

无

**检查方法：**

通过如下命令检查/etc/passwd文件中是否存在UID为0的非root账号，如下例子中命令执行后返回test 0，表示test账号的UID是0。如果没有UID为0的非root账号，命令无返回输出。

```bash
# cat /etc/passwd | awk -F ":" '{if($1!="root" && $3==0){print $1, $3}}'
test 0
```

**修复方法：**

直接修改/etc/passwd对应账号的UID字段，然后重启系统，需要确保修改的UID不能同其他账号重复。

注意：usermod命令可以修改账号UID，但如果被修改的账号UID原先为0，则会报错，因为UID为0的账号会被1号进程使用，所以只能通过手工方式直接修改/etc/passwd文件：

```bash
# usermod -u 2000 test
usermod: user test is currently used by process 1
```