### 2.1.5 确保账号、组及口令文件权限正确

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

Linux操作系统中用户账号、口令、用户组等认证相关信息都记录在/etc目录下的配置文件中，这些文件需要设置合理的访问权限，否则容易被攻击者窃取或篡改。

这些文件属主和属组必须为root和root组，对应的访问权限必须为：

| 文件          | 设置值           |
| ------------- | ---------------- |
| /etc/passwd   | 644（rw-r--r--） |
| /etc/shadow   | 000（---------） |
| /etc/group    | 644（rw-r--r--） |
| /etc/gshadow  | 000（---------） |
| /etc/passwd-  | 644（rw-r--r--） |
| /etc/shadow-  | 000（---------） |
| /etc/group-   | 644（rw-r--r--） |
| /etc/gshadow- | 000（---------） |

如果权限配置比表格中更加严格，则普通用户登录时可能无法读取passwd或group配置文件中的信息。导致登录或者执行操作失败。

如果权限配置比表格中更加宽松，则可能导致配置文件信息被攻击者窃取或篡改。

**规则影响：**

无

**检查方法：**

使用如下命令进行检查，如果返回信息同上表不符，则表示未满足权限要求：

```bash
# ll /etc/passwd
-rw-r--r--. 1 root root 1343 Dec  5 07:37 /etc/passwd
# ll /etc/shadow
----------. 1 root root 786 Dec  5 07:38 /etc/shadow
# ll /etc/group
-rw-r--r--. 1 root root 609 Dec 14 12:59 /etc/group
# ll /etc/gshadow
----------. 1 root root 485 Dec  5 07:37 /etc/gshadow
# ll /etc/passwd-
-rw-r--r--. 1 root root 1295 Dec  5 07:36 /etc/passwd-
# ll /etc/shadow-
----------. 1 root root 681 Dec  5 07:37 /etc/shadow-
# ll /etc/group-
-rw-r--r--. 1 root root 609 Dec  5 07:37 /etc/group-
# ll /etc/gshadow-
----------. 1 root root 474 Dec  5 07:36 /etc/gshadow-
```

**修复方法：**

如果文件权限不符合规范要求，可以通过chown和chmod命令进行修改：

```bash
# chown root:root <passwd/group/shadow config file>
# chmod <access permissions> <passwd/group/shadow config file>
```