### 2.1.7 确保/etc/passwd中的组都存在

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

要求在/etc/passwd中涉及到的用户组，都必须在/etc/group文件中真实存在。如果管理员通过手工方式修改这两个文件，则可能因为人为错误而导致用户组不正确。如果/etc/passwd中的用户组在/etc/group中不存在，那么将导致用户组权限管理风险。

**规则影响：**

无

**检查方法：**

使用如下脚本进行检查，如果无返回输出，则表示所有用户组设置正确：

```bash
#!/bin/bash
  
grep -E -v '^(halt|sync|shutdown)' "/etc/passwd" | awk -F ":" '($7 != "/bin/false" && $7 != "/sbin/nologin") {print $4}' | while read group;
do
    grep -q -P "^.*?:[^:]*:$group:" "/etc/group"
    if [ $? -ne 0 ]; then
        echo "Group $group not found"
    fi
done
```

**修复方法：**

分析两个文件不匹配的原因，可以有两种修复方式：

- 通过删除账号，重新添加的方式进行修复：

  ```bash
  # userdel -r test
  # useradd test
  ```

- 通过删除或添加组的方式进行修复（其中xxx表示gid的值）：

  ```bash
  # groupdel testgroup
  # groupadd -g xxx testgroup
  ```