### 2.1.8 确保UID唯一

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

要求在/etc/passwd中涉及到的用户账号UID唯一。Linux系统中根据UID来判断账号权限，如果多个账号使用同一个UID，则会导致这些账号拥有一样的权限，可以相互访问Home目录，以及各自创建的文件，导致越权以及信息泄露。

通常情况下使用useradd等命令添加用户账号，不会存在UID重复问题，但如果管理员操作失误，直接修改/etc/passwd文件，则可能导致问题。

**规则影响：**

无

**检查方法：**

使用如下命令进行检查，如果无返回输出，则表示所有UID设置正确，且唯一，否则列出UID和对应的复用次数，如3003这个UID被两个账号使用：

```bash
# cat /etc/passwd | awk -F ":" '{a[$3]++}END{for(i in a){if(a[i]!=1){print i, a[i]}}}'
3003 2
```

**修复方法：**

分析UID被重复使用的原因，然后删除出现问题的账号，并重新添加：

```bash
# userdel -r test
# useradd test
```