### 2.1.9 确保账号名唯一

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

要求在/etc/passwd中涉及到的账号名唯一。如果/etc/passwd中的账号名重复，则实际只有/etc/passwd文件中第一个该账号的UID有效。

通常情况下使用useradd等命令添加用户账号，不会存在账号名重复问题，但如果管理员操作失误，直接修改/etc/passwd文件，则可能导致问题。

**规则影响：**

无

**检查方法：**

使用如下命令进行检查，如果无返回输出，则表示所有账号名唯一，否则列出账号名和对应的复用次数，如test这个账号存在重复：

```bash
# cat /etc/passwd | awk -F ":" '{a[$1]++}END{for(i in a){if(a[i]!=1){print i, a[i]}}}'
test 2
```

**修复方法：**

分析账号名被重复使用的原因，然后手工删除/etc/passwd文件中出现问题的账号，并按需确定是否使用useradd命令重新添加正确的账号：

```bash
# useradd test
```