### 2.2.10 确保单用户模式已设置口令保护

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

编辑grub启动菜单，在linux启动命令行添加“s”或“single”命令，可以进入单用户模式，单用户模式属于紧急救援模式，可以对系统进行修改。例如修改root口令，所以要求在进入单用户模式时，验证root口令。

openEuler系统默认已经加固，进入单用户模式必须输入root口令。

**规则影响：**

如果管理员忘记root口令，将无法通过单用户模式进入系统修改。

**检查方法：**

通过grep命令检查rescue和emergency服务中是否使用systemd-sulogin-shell登录：

```bash
# grep /systemd-sulogin-shell /usr/lib/systemd/system/rescue.service
# grep /systemd-sulogin-shell /usr/lib/systemd/system/emergency.service
```

**修复方法：**

- 在/usr/lib/systemd/system/rescue.service文件中，修改ExecStart项为：

  ```bash
  # vim /usr/lib/systemd/system/rescue.service
  ExecStart=-/usr/lib/systemd/systemd-sulogin-shell rescue
  ```

- 在/usr/lib/systemd/system/emergency.service文件中，修改ExecStart项为：

  ```bash
  # vim /usr/lib/systemd/system/emergency.service
  ExecStart=-/usr/lib/systemd/systemd-sulogin-shell emergency
  ```
