### 2.2.11 确保账号在首次登录时强制修改口令

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

对于非用户本人设置的口令，如管理员重置的口令，如果在业务环境上没有被及时修改，极易引起低成本的攻击事件，所以要求用户在首次登录账号时强制修改口令。
root口令除外。

**规则影响：**

无

**检查方法：**

检查/etc/shadow文件中指定账号的配置是否正确：

```bash
# grep ^test: /etc/shadow 
test:!:0:0:90:7:35::
```

此处，以冒号“:”分割的第3个字段，如果是0，表示此账号对应口令已被强制设置为过期。

**修复方法：**

管理员在重置账号口令后，通过如下命令可以将该口令立即过期，该账号下次登录时会被要求强制口令修改，此种方式过期的口令不受口令修改有效期（默认35天）的约束（test为举例的账号）：

```bash
# passwd -e test
```