### 2.2.3 确保用户修改自身口令时需验证旧口令

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

为了防止第三方恶意修改其他账户口令，用户修改自身口令时需验证旧口令。

按照业界通用做法，root账号修改自身口令时不需要验证旧口令。root账号可以直接修改/etc/passwd和/etc/shadow文件，在修改自身口令时验证旧口令无实质的安全提升，所以遵循业界通常做法，root账号在修改口令时，无需验证旧口令。而普通账号需要验证通过旧口令后，才能进行新口令的设置，否则会引发安全风险，例如：普通账号的所有者在登录系统后未锁定屏幕，而直接离开座位，附近的攻击者可以在终端上修改该普通账号的口令。

该规则为pam_unix模块默认支持，无需额外配置。

**规则影响：**

普通用户如果忘记旧口令，则无法自行修改口令，降低易用性。

**检查方法：**

- root账号更改口令情况如下：

  ```bash
  # passwd
  Changing password for user root.
  New password:
  Retype new password:
  passwd: all authentication tokens updated successfully.
  ```

- 普通账号（如test）更改口令：

  ```bash
  $ passwd
  Changing password for user test.
  Changing password for test.
  Current password:
  New password:
  Retype new password:
  passwd: all authentication tokens updated successfully.
  ```

**修复方法：**

该规则为pam_unix模块默认支持，无需配置。
