### 2.2.5 确保口令使用强Hash算法加密

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

出于系统安全考虑，口令不允许明文存储在系统中，应该加密保护。在不需要还原口令的场景，必须使用不可逆算法加密。如果加密算法强度过低，攻击者可以通过加大算力，在口令被更新前，强行计算出相同hash结果的原始字符串，无论该字符串是否同原口令一致，均可用以登录对应账号。目前业界已知的MD5、sha1等弱算法，均可在有限算力情况下碰撞出相同密文的两段不同原文。对用户账号的口令使用强hash算法进行加密，能有效加大口令被碰撞破解的难度，从而降低口令泄漏的风险。可根据实际需求，进行口令加密算法配置，但是配置的算法强度不得低于sha512。

openEuler目前口令加密默认采用sha512算法，已满足安全要求。

**规则影响：**

无

**检查方法：**

- /etc/pam.d/system-auth和/etc/pam.d/password-auth分别提供该功能项的配置，不同应用程序或者服务对应的配置项，需根据各自include的配置文件而定：

  ```bash
  # grep system-auth /etc/pam.d/ -r
  /etc/pam.d/login:auth       substack     system-auth
  /etc/pam.d/login:account    include      system-auth
  /etc/pam.d/login:password   include      system-auth
  /etc/pam.d/login:session    include      system-auth
  /etc/pam.d/sudo:auth       include      system-auth
  /etc/pam.d/sudo:account    include      system-auth
  /etc/pam.d/sudo:password   include      system-auth
  /etc/pam.d/sudo:session    include      system-auth-su
  ```

  以上只列举部分显示结果，从以上结果可知，login和sudo的账号认证采用/etc/pam.d/system-auth文件中的配置。

  后续以/etc/pam.d/system-auth为例进行说明。

- 在/etc/pam.d/system-auth文件中检查“口令使用强Hash算法加密”的配置情况：

  ```bash
  # grep sha512 /etc/pam.d/system-auth
  password    sufficient    pam_unix.so sha512 shadow nullok try_first_pass use_authtok
  ```

**修复方法：**

“口令使用强Hash算法加密”的设置可以通过修改/etc/pam.d/password-auth和/etc/pam.d/system-auth文件实现。

以/etc/pam.d/system-auth文件为例，具体配置字段如下：

```bash
# vim /etc/pam.d/system-auth
password    sufficient    pam_unix.so sha512 shadow nullok try_first_pass use_authtok
```