### 2.2.8 禁止空口令登录

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

空口令登录是指在用户账号登录时，不输入口令的情况下也能成功登录系统。

若允许空口令登录，会增加空口令账号本身被攻击或被用来作为攻击账号的风险。

**规则影响：**

无

**检查方法：**

检查/etc/ssh/sshd_config中是否配置了禁止空口令登录的字段：

```bash
# grep ^PermitEmptyPasswords /etc/ssh/sshd_config | grep no
PermitEmptyPasswords no
```

**修复方法：**

在/etc/ssh/sshd_config中配置禁止空口令登录，并重启sshd服务：

```bash
# vim /etc/ssh/sshd_config
PermitEmptyPasswords no
# systemctl restart sshd
```