### 2.3.2 确保会话超时时间设置正确

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

设置合理的会话超时时间可以降低因管理员人为原因而导致系统被攻击者攻击的风险。

考虑到社区版本在不同场景下的易用性，openEuler发行版默认不配置会话超时时间，请根据实际场景按需配置。

**规则影响：**

会话超时时间设置过长，甚至永不超时，当管理员离开时没有退出登录，其他人员就可以直接在终端上以管理员权限进行操作。
如果设置过短，则频繁锁定，增加管理员输入口令次数，降低用户体验的同时，也容易引入安全风险，管理员周边人员有较多的机会可以窥探到输入的口令。

**检查方法：**

```bash
# grep "^export TMOUT" /etc/profile
export TMOUT=300
```

**修复方法：**

- 修改/etc/profile文件TMOUT字段，根据业务场景修改为合理的值：

  ```bash
  # vim /etc/profile
  export TMOUT=<seconds>
  ```

- 使用source命令使之生效：

  ```bash
  # source /etc/profile    
  ```
