### 2.3.4 应当正确配置Banner路径

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

Banner路径指向一个文件，文件中包含有用户登录SSH前在客户端给出的提示信息，用户可根据实际业务场景配置该文件中的内容。

如果不配置，则默认没有显示。

**规则影响：**

无

**检查方法：**

使用grep命令查看配置，如果返回为空，表示未配置：

```bash
# grep -i "^Banner" /etc/ssh/sshd_config
Banner /etc/issue.net
```

**修复方法：**

* 修改/etc/ssh/sshd_config文件，配置Banner字段指向的文件，重启sshd服务：

  ```bash
  # vim /etc/ssh/sshd_config
  Banner /etc/issue.net
  # systemctl restart sshd
  ```

* 修改Banner指向文件中的内容：

  ```bash
  # vim /etc/issue.net
  Authorized users only. All activities may be monitored and reported.
  ```