### 2.4.10 避免使用标签为unconfined_service_t的程序

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

SELinux设置unconfined_service_t标签的目的是使一些未配置SELinux策略的第三方服务进程不受约束地运行。默认情况下，systemd运行标签为bin_t或usr_t（一般位于/usr/bin、/opt等目录下）的第三方应用程序时，产生的进程标签为unconfined_service_t。

与其他高权限标签（如unconfined_t、initrc_t等）的区别是，unconfined_service_t只有极少的域转换规则，这意味着即使进程运行那些已经配置过SELinux策略的应用程序，新进程的标签也依然为unconfined_service_t，进程配置的SELinux策略也不会生效，如果被攻击会对系统造成较大的影响。

**规则影响：**

标签为unconfined_service_t的程序运行受限制

**检查方法：**

运行以下命令，若返回值为空，表示当前系统中没有标签为unconfined_service_t的进程：

```bash
# ps -eZ | grep unconfined_service_t
```

**修复方法：**

为应用程序配置合理的SELinux策略，并添加域转换规则，使其被执行时转换到配置策略的进程标签。