### 2.4.1 限制历史命令记录数量

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

HISTSIZE是一个环境变量，用于控制命令历史记录的大小。具体来说，HISTSIZE定义了命令历史记录中可以存储的命令条目数量。通过设置HISTSIZE的值，可以限制或增加命令历史记录的大小，从而控制在命令行终端中可用的以前输入的命令数量。

例如，设置HISTSIZE=100将限制命令历史记录最多存储100条命令。一旦命令历史记录达到这个限制，新的命令将会覆盖最旧的命令，以保持历史记录的大小不超过指定的值。

作用：较小的历史记录可以减少敏感信息（如密码）在历史记录中被保留的风险。

建议系统限制查看历史命令的数量，建议50或100

**规则影响：**

限制的值设置过小，会导致历史使用的命令不可见，易用性下降。

**检查方法：**

1. 查看环境变量 HISTSIZE 设置的值：

  ```bash
  # echo $HISTSIZE
  100
  ```

2. 查看 profile 文件 HISTSIZE 设置的值：

  ```bash
  # grep -iP "^HISTSIZE" /etc/profile
  HISTSIZE=100
  ```
如果检测1中输出为1-100范围，且检测2中"HISTSIZE="等于号之后输出的值为1-100的范围，说明通过检查，否则检测未通过。

**修复方法：**

查看profile文件中环境变量HISTSIZE的值，运行以下命令设置历史命令记录数量为1-100范围内的值并生效即可：

```bash
# grep -qiP "^HISTSIZE" /etc/profile && sed -i "/^HISTSIZE/cHISTSIZE=100" /etc/profile || echo -e "HISTSIZE=100" >> /etc/profile
# source /etc/profile
```