### 2.4.2 应当启用enforce模式

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

SELinux是Linux发行版中内置的安全模块，通过细粒度的访问控制机制，实现应用程序对资源的访问控制，从而提高系统的安全性。SELinux的运行模式有三种：

* enforcing（强制模式）：当访问无权限时，阻止资源访问，并记录audit日志；

* permissive（宽容模式）：当访问无权限时，仅记录audit日志，不阻止资源访问；

* disable（禁用模式）：关闭SELinux功能；

SELinux只有工作在enforcing模式时才能有效启用并保护系统，若工作在其它模式，则无法对系统提供保护，而系统中的进程会默认有较大的权限（尤其是以root身份运行的进程），可能会给系统带来安全风险。

**规则影响：**

系统开启enforce模式会拒绝部分高风险操作（依赖于策略配置），易用性降低。

**检查方法：**

输入命令查看当前系统SELinux运行模式是否为enforcing：

```bash
# getenforce
Enforcing
```

使用如下命令查看系统默认SELinux运行模式是否为enforcing：

```bash
# grep "^SELINUX=" /etc/selinux/config
SELINUX=enforcing
```

**修复方法：**

使用setenforce命令设置当前系统SELinux的运行模式：

```bash
# setenforce 1
# getenforce
Enforcing
```

设置/etc/selinux/config文件中的SELINUX参数，重启操作系统后生效：

```bash
SELINUX=enforcing
```