### 2.4.3 应当正确配置SELinux策略

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

SELinux的策略分为两种，系统基础策略和自定义策略：

基础策略：定义在基础策略包中的策略，包括selinux-policy、selinux-policy-targeted、selinux-policy-mls等。

自定义策略：用户修改或添加的策略。

SELinux可以实现进程级别的强制访问控制，通过根据最小权限原则配置合理的策略，限制系统中关键应用和关键资源的行为，可以提高系统的安全性。

如果未对应用程序配置合理的策略，可能产生两种影响：

* 如果未对应用程序配置策略，应用程序有可能运行在unconfined_t或其他权限较大的域，若被攻击可能对系统或业务造成较大影响；

* 如果为应用程序配置了不合理的策略，有可能影响应用程序的正常运行。

**规则影响：**

无

**检查方法：**

运行以下命令查看当前系统策略，建议配置为targeted：

```bash
# sestatus | grep 'Loaded policy name'
Loaded policy name:             targeted
```

运行以下命令，输出为空，表示无异常规则和异常访问行为，若不为空，需要分析被禁止的访问行为是否为正常访问行为，如果为正常访问行为，则需要修改策略：

```bash
# grep avc /var/log/audit/audit.log*
```

**修复方法：**

设置基础策略包为targeted策略包：

* 安装目标基础策略包：

  ```bash
  # yum install selinux-policy-targeted
  ```

* 设置/etc/selinux/config文件中的SELINUXTYPE参数以修改系统基础策略包：

  ```bash
  # SELINUXTYPE=targeted
  ```

*  在根目录下创建.autorelabel文件，用于系统重启后刷新文件标签：

  ```bash
  # touch /.autorelabel
  ```

* 重启操作系统。

若应用程序运行异常，需要为应用程序配置合理的SELinux策略。