### 2.4.4 确保su受限使用

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

su命令可以使一个普通用户拥有超级用户或其他用户的权限，它经常被用于从普通用户账号切换到系统root账号。su命令为用户变更身份提供了便捷的途径，但如果不加约束的使用su命令，会给系统带来潜在的风险。通过对用户使用su访问root账号的权限进行限制，仅对部分账号进行su使用授权，可以提高系统账号使用的安全性。

openEuler默认仅允许wheel组中的普通用户具有su的使用权限。

**规则影响：**

非wheel组用户无法使用su

**检查方法：**

检查/etc/pam.d/su中是否配置了非wheel组用户账号禁止使用su：

```bash
# grep pam_wheel.so /etc/pam.d/su | grep required
auth	 required	 pam_wheel.so use_uid
```

**修复方法：**

修改/etc/pam.d/su配置文件，配置非wheel组用户账号禁止使用su：

```bash
# vim /etc/pam.d/su
auth	 required	 pam_wheel.so use_uid
```