### 2.4.5 确保普通用户通过sudo运行特权程序

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

sudo可以使设定的普通用户以root权限执行某些特定的程序。大部分系统管理命令都需要使用root权限执行，对于系统管理员来说，适当地对其他用户授权可以减轻系统管理员负担，但直接授予普通用户root口令会带来安全风险，使用sudo则可以规避这一问题。系统中需要以root账号运行的特权程序，可以使用sudo机制避免使用root账号登录。 

使用sudo代替root用户运行特权程序不仅可以减轻系统管理员负担，同时由于使用sudo时无需输入root口令，这提高了安全性。

**规则影响：**

无

**检查方法：**

检查/etc/sudoers中是否配置了普通用户执行sudo：

```bash
# grep "(root)" /etc/sudoers
test_sudo  ALL=(root)  /bin/ping
```

说明：示例中“/bin/ping”为可以使用sudo执行的程序。实际上，具体的程序由用户根据业务场景进行配置。

**修复方法：**

修改/etc/sudoers配置文件，对需要以root执行指定特权的用户配置权限。

```bash
# vim /etc/sudoers
test_sudo  ALL=(root)  /bin/ping
```

上一行配置一共包含四个字段，如上举例中：

第一个字段test_sudo为用户账号，实际配置时还可以指定为某一用户组，这样该用户组内的所有用户账号均可按后边的规则执行sudo；

第二个字段ALL意思是在任何主机名下都适用；

第三个字段root表明第一个字段所设定的用户账号或用户组可以切换到root下执行特权程序；

第四个字段中/bin/ping即为指定的特权程序，多个特权程序用逗号隔开。