### 2.4.6 确保sudoers不能配置低权限用户可写的脚本

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

sudo可以使设定的普通用户以root权限执行某些特定的程序，与之对应的配置文件为/etc/sudoers。管理员用户可以配置相应的规则使某些脚本或二进制文件以root的权限运行，所以sudo配置的脚本应该只有root可写，不能配置低权限用户可写的脚本，若配置了低权限用户可写的脚本则该用户可以通过修改该脚本实现提权操作。

**规则影响：**

无

**检查方法：**

检查sudo配置文件/etc/sudoers，检查特权程序是否为低权限用户可写。

```bash
# grep "(root)" /etc/sudoers
test_sudo  ALL=(root)  /bin/xxx.sh
# ll /bin/xxx.sh
-rw-------. 1 root root 451 Mar 27 17:00 /bin/xxx.sh
```

**修复方法：**

例如一个/etc/sudoers配置文件中的脚本为低权限用户可写，则用户需要根据实际的业务场景进行修复：

* 修复方法1

  修改/etc/sudoers配置文件中的脚本的文件权限，去除掉低特权用户的可写权限以防止该用户实现提权操作。

* 修复方法2

  修改/etc/sudoers配置文件删除低权限用户可配置的脚本文件，防止低权限用户实现提权操作