### 2.4.7 确保普通用户不能借助pkexec配置提权root

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

pkexec命令可以使一个普通用户拥有超级用户或其他用户的权限，当验证通过后便会以超级用户的权限来执行相应的程序。pkexec为用户变更身份提供了便捷的路径，但是如果不加约束的使用pkexec命令，会给系统带来潜在的安全风险。通过对用户使用pkexec访问root账号的权限进行限制，限制了其他账号的使用。可以提高系统账号使用的安全性。

openEuler默认配置使用pkexec需要验证root口令，且仅有root可获得系统管理员权限。

**规则影响：**

普通用户不能使用pkexec。

**检查方法：**

检查/etc/polkit-1/rules.d/50-default.rules中是否配置了仅root用户可以使用pkexec：

```bash
# cat /etc/polkit-1/rules.d/50-default.rules
/* -*- mode: js; js-indent-level: 4; indent-tabs-mode: nil -*- */

// DO NOT EDIT THIS FILE, it will be overwritten on update
//
// Default rules for polkit
//
// See the polkit(8) man page for more information
// about configuring polkit.

polkit.addAdminRule(function(action, subject) {
    return ["unix-user:0"];
});

```

**修复方法：**

修改/etc/polkit-1/rules.d/50-default.rules配置文件，仅root用户可以使用pkexec：

```bash
# vim /etc/polkit-1/rules.d/50-default.rules
polkit.addAdminRule(function(action, subject) {
    return ["unix-user:0"];
});
```