### 2.4.8 确保su命令继承用户环境变量不会引入提权

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

su命令可以使一个普通用户拥有超级用户或其他用户的权限，它经常被用于从普通用户账号切换到系统root账号。su命令为用户变更身份提供了便捷的途径，但如果不加约束的使用su命令，会给系统带来潜在的风险，su命令切换用户时不会自动为用户设置PATH。如果通过su切换用户后系统会自动初始化环境变量PATH，则可以有效防范由于继承环境变量PATH而导致的提权问题。

openEuler默认设置su完成后，PATH会自动初始化。


**规则影响：**

无

**检查方法：**

检查/etc/login.defs中是否配置了自动初始化环境变量PATH，即ALWAYS_SET_PATH=yes：

```bash
# cat /etc/login.defs | grep ALWAYS_SET_PATH=yes
ALWAYS_SET_PATH=yes
```

**修复方法：**

修改/etc/login.defs配置文件添加如下配置，使切换用户后系统会自动初始化环境变量PATH：

```bash
# vim /etc/login.defs
ALWAYS_SET_PATH=yes
```