### 2.5.2 应当启用aide入侵检测

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

aide（advanced intrusion detection environment）是一款入侵检测工具，可以用来检查系统中文件和目录的完整性，识别遭到恶意篡改的文件或目录。其完整性检查的原理是先构造一个基准数据库，该数据库包含文件或目录的一些属性如权限、所属用户等，在进行完整性检查时将当前系统的状态与基准数据库进行对比得出检查结果，最后报告当前系统的文件或目录变更情况，即检查报告。

启用aide入侵检测能有效识别恶意篡改文件或目录的行为，从而提升系统完整性安全。需要检查的文件或目录可以按需配置，灵活性高，用户只需要查询检查报告即可以判断是否存在恶意篡改行为。

**规则影响：**

需检查的文件越多，检查过程所需时间越长。如果用户启用aide，应根据自身业务场景，合理配置检查策略。

**检查方法：**

* 检查是否安装了aide软件包（如果返回-bash: aide: command not found，表示未安装）：

  ```bash
  # aide --version
  Aide 0.16
  ```

* 检查/etc/aide.conf文件中是否已经配置需要监控的文件或目录，举例仅表示默认配置监控目录中的/boot目录，用户若自行配置了需要监控的文件或目录，则确认相应的文件或目录已配置即可：

  ```bash
  # grep boot /etc/aide.conf | grep NORMAL
  /boot  NORMAL
  ```

* 检查是否存在基准数据库：

  ```bash
  # ls /var/lib/aide/aide.db.gz
  /var/lib/aide/aide.db.gz
  ```

**修复方法：**

* 如果未安装aide，则使用yum或dnf命令安装软件包：
  ```bash
  yum install aide
  或
  dnf install aide
  ```
* 在配置文件/etc/aide.conf中配置需要被监控的文件或目录。/etc/aide.conf中默认已经配置了部分需要监控的目录，包括/boot, /bin, /lib, /lib64等重要目录。用户可以根据需要，自行添加需要监控的文件或目录：

  ```bash
  # vim /etc/aide.conf
  /boot   NORMAL
  /bin    NORMAL
  /lib    NORMAL
  /lib64  NORMAL
  <add new folders>
  ```

* 生成基准数据库，执行初始化命令后，在/var/lib/aide目录下生成aide.db.new.gz，将其重命名aide.db.gz，即为基准数据库：

  ```bash
  # aide --init
  # mv /var/lib/aide/aide.db.new.gz /var/lib/aide/aide.db.gz
  ```

* 入侵检查，执行aide --check; 检查的结果会在屏幕打印，同时会保存到/var/log/aide/aide.log日志文件中：

  ```bash
  # aide --check
  ```

* 更新基准数据库：

  ```bash
  # aide --update
  # mv /var/lib/aide/aide.db.new.gz /var/lib/aide/aide.db.gz
  ```