### 2.6.1 应当启用haveged服务

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

haveged服务提供了一个易用的、不可预测的随机数生成器，生成的随机数用于补充系统熵池，可解决某些情况下系统熵过低的问题。建议在有加解密或生成密钥需求的场景下（例如使用openssl和gnutls）都开启此服务。

如果haveged服务没有开启，需要生成强伪随机数的进程从/dev/random取值时，会因为取不到足够的值而陷入等待，直至取到新的随机字节后才返回。

**规则影响：**

无

**检查方法：**

检查环境中haveged服务是否处于正常运行状态：

```bash
# systemctl is-active haveged
active
```

如果显示处于active状态，说明haveged服务正在运行，反之如果显示处于inactive状态，说明服务未开启。

**修复方法：**

开启haveged服务：

```bash
# systemctl start haveged
```

如果要将其设置为随系统启动，可以这样配置：

```bash
# systemctl enable haveged.service
```