### 2.6.2 应当设置全局加解密策略配置不低于DEFAULT

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

系统全局加解密策略用于指定加解密组件允许的算法，通过修改/etc/crypto-policies/config配置文件可以改变预置的安全策略级别，从而改变应用程序可使用的算法集。

openEuler系统默认配置DEFAULT策略，提供LEGACY、DEFAULT、NEXT、FUTURE、FIPS可供选择，建议用户设置不低于DEFAULT的策略级别，即禁止设置LEGACY模式。

LEGACY：LEGACY策略可确保与旧系统的最大兼容性，但是该策略的安全性较低。该策略提供的安全级别至少为64位。
DEFAULT：DEFAULT策略是符合当前标准的默认策略。该策略提供的安全级别至少为80位。
NEXT：NEXT策略是为即将发布的操作系统准备的策略。该策略提供的安全级别至少为112位（注：DNSSec所需的SHA-1签名和其他仍普遍使用的SHA-1签名除外）。
FUTURE：FUTURE策略为安全级别较高的策略，可以抵御近期大多数的攻击方式。该策略提供的安全级别至少为128位。
FIPS：FIPS策略是符合FIPS 140-2要求的策略。该策略提供的安全级别至少为112位。

**规则影响：**

如果全局加解密策略设置过于宽松，将允许使用不安全加解密算法，降低系统整体安全性。

如果全局加解密策略设置过于严格，则可能由于客户端不支持更加安全的加解密算法，而导致存在兼容性问题。

如果业务程序未使用系统加解密模块，而是自行调用第三方加解密算法库进行操作，则不受影响。

**检查方法：**

检查环境中/etc/crypto-policies/config文件是否未配置LEGACY模式，如果返回信息为空，或者仅返回位于注释信息中的LEGACY字段，表示未配置LEGACY：

```bash
# cat /etc/crypto-policies/config | grep "LEGACY"
```

亦可通过如下方式检查当前配置的模式：

```bash
# cat /etc/crypto-policies/config | grep -v "^#"
DEFAULT
```

**修复方法：**

在/etc/crypto-policies/config文件中配置合适的策略：

```bash
# vim /etc/crypto-policies/config
DEFAULT
```