### 3.1.2 避免使用无线网络

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

如果硬件设备包含WIFI等无线模块，且系统启用了WIFI，则服务器存在通过无线连接网络的可能，如果是不受控的连接，则一方面可能导致网络不稳定，另一方面增加了攻击面。

当不存在使用无线网络的场景，建议用户根据实际情况关闭无线网络功能。

**规则影响：**

依赖于无线网络的程序运行受限制

**检查方法：**

通过nmcli命令查看无线网络配置，如果WIFI和WWAN为enabled，表示已启用无线网络，例如：

```bash
# nmcli radio all
WIFI-HW  WIFI     WWAN-HW  WWAN    
enabled  enabled  enabled  enabled
```

**修复方法：**

通过nmcli命令可永久关闭WIFI和WWAN，即使系统重启也依旧保持关闭状态：

```bash
# nmcli radio all off
# nmcli radio all
WIFI-HW  WIFI     WWAN-HW  WWAN    
enabled  disabled  enabled  disabled
```