### 3.2.12 应当启用nftables服务

**级别：** 建议

**适用版本：** 全部

**规则说明：**

nftables是Linux内核的子系统，提供对网络数据包的过滤和分类，nftables替换了Netfilter的iptables部分。与iptables相比，nftable更容易扩展到新协议，nftables将在未来替代iptables。另外，nftables不同于firewalld和iptables，操作系统默认未配置任何策略，需要管理员手工配置。

需要注意的是，openEuler默认且建议使用firewalld服务。如果必须使用nftables提供防火墙服务，则必须关闭firewalld和iptables服务。如果未启用任何防火墙服务，则将提高系统被攻击、篡改的可能。

三种防火墙服务建议只启用一种，不建议同时启用多种，如果多种防火墙规则设置不正确，可能导致规则冲突、防护混乱。

**规则影响：**

如果启用多个防火墙服务，可能导致因为策略配置不一致而造成业务中断。

**检查方法：**

通过如下方式检查nftables服务已经被启用，firewalld和iptables服务未被启用：

```bash
# service nftables status 2>&1 | grep Active
Active: active (exited) since Wed 2020-12-16 07:04:32 CST; 6s ago
# service firewalld status 2>&1 | grep Active
Active: inactive (dead)
# service iptables status 2>&1 | grep Active
Active: inactive (dead)
```

**修复方法：**

使用如下方法启用nftables服务，并配置永久生效：

```bash
# service nftables start
# systemctl enable nftables
```

使用如下方法关闭firewalld和iptables服务，并配置永久生效：

```bash
# service firewalld stop
# service iptables stop
# systemctl disable firewalld
# systemctl disable iptables
```