### 3.2.14 应当正确配置nftables input策略

**级别：** 建议

**适用版本：** 全部

**规则说明：**

input链的作用是对从外部接收的报文进行过滤，任何对外提供的服务，都需要配置对应的input策略，开启相关的端口，外部客户端才能通过该端口访问该服务。

如果未配置，由于默认策略配置为DROP，所有外部尝试访问相关业务的报文都将被丢弃。

**规则影响：**

无

**检查方法：**

检查input链配置的策略是否满足业务需要，如下例子中开启了目标端口为22的tcp报文通道（即SSH协议的默认端口），且不限制源、目标IP地址：

```bash
# nft list chain inet test input
table inet test {
	chain input {
		type filter hook input priority 0; policy drop;
		tcp dport ssh accept
	}
}
```

**修复方法：**

通过如下命令新增ACCEPT策略到input链：

```bash
# nft add rule inet <table name> <chain name> <protocol> dport <port number> accept
例如：
# nft add rule inet test input tcp dport ssh accept
```

通过如下方式将当前配置的规则保存到配置文件中，以便系统重启后能够自动加载：

```bash
# nft list ruleset > /etc/sysconfig/nftables.conf
```

注意，上述方式保存配置文件会覆盖原有配置内容，亦可将当前规则导出到单独文件中，或者直接在文件中编写新规则，然后在/etc/sysconfig/nftables.conf配置文件中通过include方式加载，此种方式需要注意避免多个include规则文件内有重复规则：

```bash
# nft list ruleset > /etc/nftables/new_test_rules.nft
# echo "include \"/etc/nftables/new_test_rules.nft\"" >> /etc/sysconfig/nftables.conf
```