### 3.2.15 应当正确配置nftables output策略

**级别：** 建议

**适用版本：** 全部

**规则说明：**

服务器外发报文主要有两种情况，一种是主机进程主动连接外部服务器，比如http访问，或者外发数据到日志服务器等，另一种是外部访问本机服务，本机进行回复的报文。

如果未配置output策略，由于默认策略是DROP，服务器所有外发报文都将被丢弃。

**规则影响：**

无

**检查方法：**

检查output链配置的策略是否满足业务需要，如下例子中开启了源端口为22的tcp报文通道（即SSH协议的默认端口），且不限制源、目标IP地址：

```bash
# nft list chain inet test output
table inet test {
	chain output {
		type filter hook output priority 0; policy drop;
		tcp sport ssh accept
	}
}
```

**修复方法：**

通过如下命令新增ACCEPT策略到output链：

```bash
# nft add rule inet <table name> <chain name> <protocol> sport <port number> accept
例如：
# nft add rule inet test output tcp sport ssh accept
```

通过如下方式将当前配置的规则保存到配置文件中，以便系统重启后能够自动加载：

```bash
# nft list ruleset > /etc/sysconfig/nftables.conf
```

注意，上述方式保存配置文件会覆盖原有配置内容，亦可将当前规则导出到单独文件中，或者直接在文件中编写新规则，然后在/etc/sysconfig/nftables.conf配置文件中通过include方式加载，此种方式需要注意避免多个include规则文件内有重复规则：

```bash
# nft list ruleset > /etc/nftables/new_test_rules.nft
# echo "include \"/etc/nftables/new_test_rules.nft\"" >> /etc/sysconfig/nftables.conf
```