### 3.2.1 应当启用firewalld服务

**级别：** 建议

**适用版本：** 全部

**规则说明：**

防火墙作为一种网络或系统之间强制实行访问控制的机制，是确保网络安全的重要手段。针对不同的需求和应用环境，可以量身定制出不同的防火墙系统。如果系统中没有配置防火墙服务，可能会导致系统被外部攻击、内部数据被窃取或篡改，大量无效流量浪费带宽、访问一些存在安全风险或业务无关的网站导致信息泄露。

对于连接到网络上的Linux系统来说，防火墙是必不可少的防御机制，它只允许合法的网络流量进出系统，而禁止其它任何网络流量，例如只限定允许的IP地址访问其SSH服务。因而，可以定制防火墙配置来满足任何特定需求和任何安全性需求。

openEuler提供firewalld、iptables、nftables三种常用的防火墙服务配置界面，其中firewalld底层实际调用iptables或nftables机制。

openEuler默认且建议启用firewalld服务，并关闭iptables、nftables服务。

三种防火墙服务建议只启用一种，不建议同时启用多种，如果多种防火墙规则设置不正确，可能导致规则冲突、防护混乱。

**规则影响：**

防火墙配置错误可能起不到防护作用，还有可能会导致正常的业务无法通信。

**检查方法：**

通过如下命令检查firewalld服务已经启用，并且iptables和nftables服务未被启用：

```bash
# service firewalld status 2>&1 | grep Active
Active: active (running) since Wed 2021-02-03  00:14:10 CST; 14h ago
# service iptables status 2>&1 | grep Active
Active: inactive (dead)
# service nftables status 2>&1 | grep Active
Active: inactive (dead)
```

**修复方法：**

使用如下方法启用firewalld服务，并配置永久生效：

```bash
# service firewalld start
# systemctl enable firewalld
```

使用如下方法关闭iptables和nftables服务，并配置永久生效：

```bash
# service iptables stop
# service nftables stop
# systemctl disable iptables
# systemctl disable nftables
```