### 3.2.2 应当配置正确的默认区域

**级别：** 建议

**适用版本：** 全部

**规则说明：**

Firewalld服务通过区域（zone）概念，允许将防火墙划分为几个独立的规则区域，不同的接口或源地址可以绑定到不同的区域，实现不同的控制逻辑。一个区域可以配置许多不同的网络接口或源，但反过来，一个接口或源只能绑定到一个区域中，避免报文进出时无法确定执行哪个区域的规则。

如果一个区域在处理接口或源的报文时，发现并没有显式的规则匹配，此时该区域可以决定如何处理该报文，比如接收、拒绝，或者直接交由默认区域处理。

可以根据实际业务场景，配置合适的默认区域，所有未被显式划分到指定区域的接口、源地址、连接等网络资源，都应该被分配到默认区域。

如果默认区域配置不合理，则可能对未绑定到其他区域的网络资源产生非预期的影响。

如果所有网络资源都已经显式的绑定到其他区域，且已经制定详尽的规则，默认区域未配置任何规则，则默认区域将不影响业务。但这不是推荐的做法。

openEuler firewalld服务共提供11种区域类型：Server、Workstation、block、dmz、drop、external、home、internal、public、trusted、work。默认配置为public。

**规则影响：**

无

**检查方法：**

使用firewall-cmd命令查询默认区域配置：

```bash
# firewall-cmd --get-default-zone
public
```

**修复方法：**

使用firewall-cmd命令配置默认区域：

```bash
# firewall-cmd --set-default-zone=<name of zone>
```