### 3.2.3 应当确保网络接口绑定正确区域

**级别：** 建议

**适用版本：** 全部

**规则说明：**

不同的防火墙区域可以制定不同的过滤策略，如果服务器网络比较复杂，有多个接口，且不同接口承担不同的业务功能，建议将接口配置到不同的区域，并制定不同的防火墙策略，比如外网业务接口不允许SSH访问，而内网管理接口可以开放SSH访问。如果所有接口都配置到一个区域中，防火墙策略不利于对不同接口进行不同配置，增加管理复杂度，降低防火墙安全防护的过滤效率，因配置问题，可能导致不该接收的报文未被拒绝或丢弃。

**规则影响：**

无

**检查方法：**

检查各个区域配置的接口情况：

```bash
# firewall-cmd --get-active-zones
public
  interfaces: eth0
work
  interfaces: eth1
```

**修复方法：**

使用firewall-cmd命令从指定区域移除接口：

```bash
# firewall-cmd --zone=work --remove-interface eth1
success
```

使用firewall-cmd命令往指定区域增加接口：

```bash
# firewall-cmd --zone=work --add-interface eth1
success
```

使用firewall-cmd命令将当前防火墙配置固化到配置文件中，使之永久生效：

```bash
# firewall-cmd --runtime-to-permanent
success
```