### 3.2.4 避免开启不必要的服务和端口

**级别：** 建议

**适用版本：** 全部

**规则说明：**

在区域中需要精确配置哪些接口、服务、端口等是要开启的，哪些是必须关闭的。正确配置后可以防止不被允许的报文被接收处理，减少服务器暴露的端口，减小攻击面。

如果配置不正确，原本应该被禁止的接口或端口被开放出去，攻击者就可以利用这些接口或端口实施攻击行为，增加服务器和其他网元的风险。

**规则影响：**

无

**检查方法：**

使用如下脚本查看所有active状态的区域，检查区域中接口、服务、端口等配置是否合理（此处public、work两个区域只是举例，配置的接口、服务、端口等需要根据实际部署情况确定）：

```bash
# for zone in $(firewall-cmd --get-active-zones | grep -v "^[[:space:]]"); do firewall-cmd --list-all --zone=$zone; done
public (active)
  target: default
  icmp-block-inversion: no
  interfaces: eth1
  sources: 
  services: ssh mdns dhcpv6-client
  ports: 
  protocols: 
  masquerade: no
  forward-ports: 
  source-ports: 
  icmp-blocks: 
  rich rules: 
	
work (active)
  target: default
  icmp-block-inversion: no
  interfaces: eth2
  sources: 
  services: ssh mdns dhcpv6-client samba
  ports: 80/tcp
  protocols: 
  masquerade: no
  forward-ports: 
  source-ports: 
  icmp-blocks: 
  rich rules:
```

**修复方法：**

使用如下命令，删除指定区域中对应的服务、端口等：

```bash
# firewall-cmd --zone=work --remove-service samba
success
# firewall-cmd --zone=work --remove-port 80/tcp
success
# firewall-cmd --list-all --zone=work
work (active)
  target: default
  icmp-block-inversion: no
  interfaces: eth1
  sources: 
  services: ssh mdns dhcpv6-client
  ports: 
  protocols: 
  masquerade: no
  forward-ports: 
  source-ports: 
  icmp-blocks: 
  rich rules: 
```

使用firewall-cmd命令将当前防火墙配置固化到配置文件中，使之永久生效：

```bash
# firewall-cmd --runtime-to-permanent
success
```