### 3.2.8 应当正确配置iptables INPUT策略

**级别：** 建议

**适用版本：** 全部

**规则说明：**

INPUT链的作用是对从外部接收的报文进行过滤，任何对外提供的服务，都需要配置对应的INPUT策略，开启相关的端口，外部客户端才能通过该端口访问该服务。

如果未配置，由于默认策略配置为DROP，所有外部尝试访问相关业务的报文都将被丢弃。

**规则影响：**

无

**检查方法：**

检查INPUT链配置的策略是否满足业务需要，如下例子中开启了目标端口为22的tcp报文通道（即SSH协议的默认端口），且不限制源、目标IP地址：

```bash
# iptables -L INPUT -v -n
Chain INPUT (policy DROP 2132 packets, 683K bytes)
 pkts bytes target     prot opt in     out     source               destination
 1207 90226 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0            tcp dpt:22
```

检查IPv6：

```bash
# ip6tables -L INPUT -v -n
Chain INPUT (policy DROP 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination
    0     0 ACCEPT     all      lo     *       ::/0                 ::/0
    0     0 DROP       all      *      *       ::1                  ::/0
    0     0 ACCEPT     tcp      *      *       ::/0                 ::/0                 tcp dpt:22
```

**修复方法：**

通过如下命令新增ACCEPT策略到INPUT链：

```bash
# iptables -A INPUT -p <protocol> -s <source ip> -d <dest ip> --dport <dest port> -j ACCEPT
例如：
# iptables -A INPUT -p tcp --dport 22 -j ACCEPT
```

通过如下命令使当前配置的策略永久生效：

```bash
# service iptables save
iptables: Saving firewall rules to /etc/sysconfig/iptables: [  OK  ]
```

配置IPv6：

```bash
# ip6tables -A INPUT -p <protocol> -s <source ip> -d <dest ip> --dport <dest port> -j ACCEPT
例如：
# ip6tables -A INPUT -p tcp --dport 22 -j ACCEPT
```

通过如下命令使当前配置的策略永久生效：

```bash
# service ip6tables save
ip6tables: Saving firewall rules to /etc/sysconfig/ip6tables: [  OK  ]
```