### 3.2.9 应当正确配置iptables OUTPUT策略

**级别：** 建议

**适用版本：** 全部

**规则说明：**

服务器外发报文主要有两种情况，一种是主机进程主动连接外部服务器，比如http访问，或者外发数据到日志服务器等，另一种是外部访问本机服务，本机进行回复的报文。

如果未配置OUTPUT策略，由于默认策略是DROP，服务器所有外发报文都将被丢弃。

**规则影响：**

无

**检查方法：**

检查OUTPUT链配置的策略是否满足业务需要，如下例子中开启了源端口为22的tcp报文通道（即SSH协议的默认端口），且不限制源、目标IP地址：

```bash
# iptables -L OUTPUT -v -n
Chain OUTPUT (policy DROP 30 packets, 9840 bytes)
 pkts bytes target     prot opt in     out     source               destination
 1383  156K ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0            tcp spt:22
```

检查IPv6：

```bash
# ip6tables -L OUTPUT -v -n
Chain OUTPUT (policy DROP 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination
    0     0 ACCEPT     all      *      lo      ::/0                 ::/0
    0     0 ACCEPT     tcp      *      *       ::/0                 ::/0                 tcp spt:22
```

**修复方法：**

通过如下命令新增ACCEPT策略到OUTPUT链：

```bash
# iptables -A OUTPUT -p <protocol> -s <source ip> -d <dest ip> --sport <src port> -j ACCEPT
例如：
# iptables -A OUTPUT -p tcp --sport 22 -j ACCEPT
```

通过如下命令使当前配置的策略永久生效：

```bash
# service iptables save
iptables: Saving firewall rules to /etc/sysconfig/iptables: [  OK  ]
```

配置IPv6：

```bash
# ip6tables -A OUTPUT -p <protocol> -s <source ip> -d <dest ip> --sport <src port> -j ACCEPT
例如：
# ip6tables -A OUTPUT -p tcp --sport 22 -j ACCEPT
```

通过如下命令使当前配置的策略永久生效：

```bash
# service ip6tables save
ip6tables: Saving firewall rules to /etc/sysconfig/ip6tables: [  OK  ]
```