### 3.3.10 应当正确配置SSH服务日志级别

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

SSH提供多种日志输出级别：QUIET、FATAL、ERROR、INFO、VERBOSE、DEBUG、DEBUG1、DEBUG2、DEBUG3。日志级别设置越高（例如QUIET、FATAL），打印的日志信息越少，有利于节约硬盘空间，但不利于管理员对SSH事件进行审计追溯；反之（例如DEBUG2、DEBUG3），日志打印量大，消耗硬盘空间多，记录的事件比较详细。

openEuler默认设置为VERBOSE，建议根据实际场景设置合理的日志级别，不建议设置DEBUG及以下级别，容易导致日志量过多。

**规则影响：**

无

**检查方法：**

使用grep命令查看日志级别配置，如下例中配置为VERBOSE：

```bash
# grep -i "^LogLevel" /etc/ssh/sshd_config
LogLevel VERBOSE
```

**修复方法：**

修改/etc/ssh/sshd_config文件，将LogLevel设置为相应的级别，重启sshd服务：

```bash
# vim /etc/ssh/sshd_config
LogLevel VERBOSE
# systemctl restart sshd
```