### 3.3.11 应当正确配置SSH服务接口

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

通常情况下服务器存在多个网卡多个IP地址，IP地址应该进行相关的规划，哪些用于业务，哪些用于管理，所以并不是每个IP地址都需要侦听SSH连接，可以通过配置限制只有指定IP地址才能进行SSH连接，减小攻击面。未配置的IP地址无法通过SSH连接到服务器。

openEuler作为平台，无法确定现网场景，默认不配置。建议根据实际情况规划和配置。

**规则影响：**

无

**检查方法：**

如果已经配置侦听的地址，通过grep命令可以查询对应的配置（<ip addr>为实际已配置的ip地址），返回打印为空表示未配置：

```bash
# grep -i "^ListenAddress" /etc/ssh/sshd_config
ListenAddress <ip addr>
```

**修复方法：**

修改/etc/ssh/sshd_config文件，在ListenAddress字段后设置相应的IP地址，如果有多个，可以设置多行，重启sshd服务，如：

```bash
# vim /etc/ssh/sshd_config
ListenAddress <ip addr 1>
ListenAddress <ip addr 2>
# systemctl restart sshd
```