### 3.3.12 应当正确配置SSH并发未认证连接数

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

攻击者在不知道口令的情况下，可以通过建立大量的未完成认证的并发连接来消耗系统资源。

openEuler默认不配置，建议根据实际场景配置上限值。

**规则影响：**

如果正在进行认证的连接数达到上限，则新连接将被直接拒绝。

**检查方法：**

使用grep命令查看配置，如果返回为空，表示未配置：

```bash
# grep -i "^MaxStartups" /etc/ssh/sshd_config
maxstartups 10:30:60
```

**修复方法：**

修改/etc/ssh/sshd_config文件，配置maxstartups字段。

配置值为用冒号分隔的3个字段，其中第一个字段和最后一个字段分别表示连接数下限和上限，中间字段表示丢弃连接的比例，如：
```bash
# vim /etc/ssh/sshd_config
maxstartups 10:30:60
```
表示未完成认证的连接数达到10个以后，开始丢弃30%的连接申请，如果此时继续累积未完成认证的连接数达到60个，那么拒绝所有新增连接。

修改本配置需要重启sshd服务生效：
```bash
# systemctl restart sshd
```
