### 3.3.13 应当正确配置单个SSH连接允许的并发会话数

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

SSH允许支持多路复用的客户端基于一个网络连接可以建立多个会话，MaxSessions限制每个网络连接允许建立的SSH并发会话数，可以防止系统资源被单个或少数连接无限制的占用，导致拒绝服务攻击。MaxSessions设置为1将禁用会话多路复用，即一个连接仅允许一个会话，而将其设置为0将阻止所有连接会话。

openEuler默认不在配置文件中配置，代码中会取默认值10，建议根据实际场景在配置文件中配置上限值。

**规则影响：**

如果单个客户端连接建立的会话数已经达到最大连接数，新建会话将被拒绝。

**检查方法：**

使用grep命令查看配置，如果返回为空，表示未配置：

```bash
# grep -i "^MaxSessions" /etc/ssh/sshd_config
MaxSessions 10
```

**修复方法：**

修改/etc/ssh/sshd_config文件，配置MaxSessions字段，该字段后面配置的数字表示限制的连接会话数，重启sshd服务，例如：

```bash
# vim /etc/ssh/sshd_config
MaxSessions 5
# systemctl restart sshd
```

说明：假设设置MaxSessions为5，修改配置并重新启动服务后，对已经存在的SSH会话不参与计数，也就是在该SSH通道还可以新建5个会话；如果修改配置后重新启动服务器，则一个通道只能存在5个会话。