### 3.3.14 禁止使用X11 Forwarding

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

SSH的X11 Forwarding功能允许在本地主机上执行远程主机的GUI程序。启用X11 Forwarding功能，则扩大了攻击面，存在被X11服务器端其他用户攻击的可能。如果业务场景中不需要，则必须禁止该功能。

openEuler默认关闭X11 Forwarding功能。

**规则影响：**

依赖于X11 Forwarding的程序执行受限制。

**检查方法：**

使用grep命令查看配置：

```bash
# grep -i "^X11Forwarding" /etc/ssh/sshd_config
X11Forwarding no
```

**修复方法：**

修改/etc/ssh/sshd_config文件，配置X11Forwarding字段，将该字段设置为no，重启sshd服务：

```bash
# vim /etc/ssh/sshd_config
X11Forwarding no
# systemctl restart sshd
```