### 3.3.15 应当正确配置MaxAuthTries

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

MaxAuthTries值用于表示系统允许单次连接过程中，用户认证失败的次数，超过上限则自动断开连接。建议设置该值小于等于3。

如果该值配置比较大，则单次连接过程中客户端可以尝试多次认证失败，降低了攻击开销。如果该值未在配置文件中显式配置，系统默认为6。

**规则影响：**

认证失败次数超过上限，自动断开连接。

**检查方法：**

使用grep命令查看配置，如果返回为空，表示未配置：

```bash
# grep -i "^MaxAuthTries" /etc/ssh/sshd_config
MaxAuthTries 3
```

**修复方法：**

修改/etc/ssh/sshd_config文件，配置MaxAuthTries字段，该字段后面配置的数字表示限制的尝试次数，重启sshd服务：

```bash
# vim /etc/ssh/sshd_config
MaxAuthTries 3
# systemctl restart sshd
```