### 3.3.16 禁止使用PermitUserEnvironment

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

PermitUserEnvironment允许用户设置SSH环境变量，该设置可能导致攻击者通过修改SSH环境变量进行相应攻击。

如果PermitUserEnvironment配置为yes，则攻击者可以通过修改SSH环境变量绕过安全机制，或者执行攻击代码。该配置必须关闭。

**规则影响：**

无

**检查方法：**

使用grep命令查看配置：

```bash
# grep -i "^PermitUserEnvironment" /etc/ssh/sshd_config
PermitUserEnvironment no
```

**修复方法：**

修改/etc/ssh/sshd_config文件，配置PermitUserEnvironment字段为no，重启sshd服务：

```bash
# vim /etc/ssh/sshd_config
PermitUserEnvironment no
# systemctl restart sshd
```