### 3.3.17 应当正确配置LoginGraceTime

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

LoginGraceTime用于限制用户登录的时间，如果用户在LoginGraceTime限定的时间内没有完成登录动作，则自动断开连接。建议该值设置为小于或等于60秒。

如果该值设置过大，则攻击者可以利用大量未完成登录动作的连接来消耗服务器资源，从而导致正常管理员登录失败。如果该值未在配置文件中显式配置，系统默认为120秒。

**规则影响：**

无

**检查方法：**

使用grep命令查看配置：

```bash
# grep -i "^LoginGraceTime" /etc/ssh/sshd_config
LoginGraceTime 60
```

**修复方法：**

修改/etc/ssh/sshd_config文件，配置LoginGraceTime的值，该字段后面配置的数字表示限制的时间，单位秒，配置后重启sshd服务：

```bash
# vim /etc/ssh/sshd_config
LoginGraceTime 60
# systemctl restart sshd
```