### 3.3.18 禁止SSH服务预设置authorized_keys

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

authorized_keys为远程主机的公钥，用户可以将该公钥存放于主目录$HOME/.ssh/authorized_keys文件中，用于公钥认证便可以直接登录系统。如果系统中预设authorized_keys，并且服务端开启了公私钥认证的登录方式，攻击者便可以绕过认证直接登录到指定的系统中对其进行攻击。所以系统中不能预设置authorized_keys。

openEuler默认不预设置authorized_keys。
注意，本规则仅对初始系统预设置进行约束，对于运行期间，按业务要求必须使用公钥认证的场景，可以例外。

**规则影响：**

无

**检查方法：**

使用find命令查看配置，如果返回为空，表示未预设置authorized_keys：

```bash
# find /home/ /root/ -name authorized_keys 
/home/test/.ssh/authorized_keys
/root/.ssh/authorized_keys
```

**修复方法：**

删除被检测到的预设置authorized_keys，如/root/.ssh/authorized_keys文件：

```bash
# rm /root/.ssh/authorized_keys
```