### 3.3.19 禁止SSH服务预设置known_hosts

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

known_hosts为主机已经访问过的计算机的公钥，用户成功登录其他计算机后会自动将公钥信息保存在$HOME/.ssh/known_hosts中。当下次访问相同计算机时会校验公钥，如果校验失败则拒绝建立连接。所以系统中不能预设置known_hosts。

当系统中预设known_hosts时：

- 如果主机公钥正确，则在与目标主机建立连接的过程中不会发出警告，增加了安全风险。
- 如果主机公钥错误，则无法建立连接到目标主机。

openEuler默认不预设置known_hosts。

**规则影响：**

无

**检查方法：**

使用find命令查看配置，如果返回为空，表示未预设置known_hosts：

```bash
# find /home/ /root/ -name known_hosts 
/home/test/.ssh/known_hosts
/root/.ssh/known_hosts
```

**修复方法：**

删除被检测到的文件，如/root/.ssh/known_hosts文件：

```bash
# rm /root/.ssh/known_hosts
```