### 3.3.1 确保SSH服务版本配置正确

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

如果使用SSH1，由于协议本身存在较多的未修复漏洞，且社区已不作为主流协议进行长期维护，容易使攻击者有机可乘，造成信息泄露、命令数据篡改等风险。

openEuler默认继承的OpenSSH组件使用SSH协议进行远程控制或在服务器之间传递文件，支持SSH 1.3、1.5和2.0协议，其中1.x协议简称SSH1，由于安全原因不允许使用；2.0协议简称为SSH2，目前无安全问题，要求使用。SSH1同SSH2互不兼容，所以要求服务端在使用SSH2之后，客户端也必须使用SSH 2.0协议。

当前openEuler默认使用SSH2。

**规则影响：**

无

**检查方法：**

通过如下命令，查看返回是否为2：

```bash
# grep "^Protocol" /etc/ssh/sshd_config
Protocol 2
```

**修复方法：**

修改/etc/ssh/sshd_config文件，将Protocol字段后面的数字修改为2，重启sshd服务：

```bash
# vim /etc/ssh/sshd_config
Protocol 2
# systemctl restart sshd
```