### 3.3.20 禁止SSH服务配置弃用的选项

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

目前SSH服务通讯协议主要分为第一代和第二代，不同版本的通讯协议SSH服务的配置项并不兼容，而且某些低版本的配置项在新版本中已经被废除了。SSH服务端配置文件存放在/etc/ssh/sshd_config中，当前配置选项均为SSH第二代通信协议的配置选项，如果强行配置旧版本的配置项，会导致SSH服务进行自检时报错，且配置项并不生效。所以应禁止配置已经弃用的SSH选项。

openEuler默认不配置已经弃用的SSH选项。

**规则影响：**

无

**检查方法：**

使用SSH服务自检命令进行检查如果返回为空表示未出现错误，反之则说明配置了不兼容的选项：

```bash
# sshd -t
/etc/ssh/sshd_config line 147: Deprecated option RSAAuthentication
/etc/ssh/sshd_config line 149: Deprecated option RhostsRSAAuthentication
```

**修复方法：**

- 编辑SSH服务配置文件，删除已经废除的配置项，重启sshd服务：

  ```bash
  # vim /etc/ssh/sshd_config
  
  # RSAAuthentication yes
  # RhostsRSAAuthentication no
  
  # systemctl restart sshd
  ```