### 3.3.21 确保禁用SSH的TCP转发功能

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

将AllowTcpForwarding设置为no的作用是禁止SSH客户端进行TCP端口转发。TCP端口转发是通过SSH隧道在本地主机和远程主机之间传输数据的功能。通过禁用这一功能，可以限制用户在SSH会话中的数据传输和访问范围，从而增强系统的安全性。

配置后具体影响如下：

1. 限制数据传输： 禁用TCP端口转发可以防止用户在SSH会话中传输数据，从而降低了可能的数据泄露风险。
2. 减少攻击面：开启TCP端口转发可能会引入一些安全风险，如允许攻击者绕过网络安全措施或访问受限制的服务。禁用这一功能可以减少系统的攻击面。
3. 避免资源滥用：TCP端口转发可能占用服务器资源和带宽，禁用它可以避免资源被滥用。
4. 符合安全最佳实践：在某些情况下，如高度安全性要求的环境，禁用TCP端口转发可能是安全最佳实践之一。

**规则影响：**

禁用TCP端口转发可能会影响某些应用和用例，例如需要远程访问受限服务的情况。

**检查方法：**

执行以下命令，验证SSH的allowtcpforwarding配置是否正确（同时满足如下两个命令行的检查）：

```bash
# sshd -T -C user=root -C host="$(hostname)" -C addr="$(grep $(hostname) /etc/hosts | awk '{print $1}')" | grep allowtcpforwarding
allowtcpforwarding no
# grep -Ei '^\s*AllowTcpForwarding\s+yes\b' /etc/ssh/sshd_config
Nothing is returned
```

**修复方法：**

编辑/etc/ssh/sshd_config配置文件，修改AllowTcpForwarding参数，或添加以下代码，对AllowTcpForwarding参数进行配置：

```bash
# vim /etc/ssh/sshd_config
AllowTcpForwarding no
# systemctl restart sshd
```