### 3.3.22 应当正确配置认证黑白名单

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

SSH提供了黑白名单功能，可以设置账号或用户组的清单，允许或禁止某些账号或用户组的用户登录SSH，openEuler默认不配置，相关字段如下：

AllowUsers <userlist>

userlist是空格分割的允许登录的账号，不支持uid，可以是user@host格式，user和host将被单独检查，限制特定账号从特定主机上登录，名称里面可使用通配符*和?。配置后将自动禁止系统其他非授权账号登录ssh服务。

AllowGroups <grouplist>

grouplist是空格分隔的允许登录的用户组名称，不支持gid

DenyUsers <userlist>

userlist是空格分隔的拒绝登录的账号，不支持uid

DenyGroups <grouplist>

grouplist是空格分隔的拒绝登录的用户组名称，不支持gid

建议直接删除不使用的用户账号或用户组，而不是通过DenyUsers/DenyGroups进行拒绝登录。如果针对某个账号只允许或拒绝在某些客户端登录，可以通过user@host方式配置Allow或Deny规则。

Allow或Deny规则如果同时设置，则取并集，也就是说如果设置了Allow规则，那么被允许的用户账号或用户组之外的，都不允许登录；同时设置了Deny规则，那么在遵循Allow规则后，允许登录的用户账号或用户组范围内再匹配是否符合Deny规则，排除以后剩下的才是可以登录的。

**规则影响：**

配置Allow规则，被允许的用户账号或用户组之外的，都不允许登录；配置Deny规则，拒绝登录的用户账号或用户组将无法登录。

**检查方法：**

使用grep命令检查是否存在配置，如果无返回信息，则表示没有任何配置，否则返回配置内容：

```bash
# grep "^AllowUsers\|^AllowGroups\|^DenyUsers\|^DenyGroups" /etc/ssh/sshd_config
```

**修复方法：**

根据业务实际场景，在/etc/ssh/sshd_config文件中添加相关Allow或Deny字段，重启sshd服务，例如：

```bash
# vim /etc/ssh/sshd_config
AllowUsers root test
DenyUsers test1
# systemctl restart sshd
```