### 3.3.3 确保SSH密钥交换算法配置正确

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

密钥交换是密码学中双方交换密钥以允许使用某种加密算法的过程。通过安全的密钥交换算法，双方可以安全地交换密钥，从而允许使用加密算法对要发送的消息进行加密，并对接收到的消息进行解密。设置SSH密钥交换算法，限制密钥交换这一阶段所能使用的算法。要注意的是，若配置的算法不安全，则会增加使用风险，因为弱算法在业界已经或者即将被破解。

推荐的安全算法如下（按优先级排序，openEuler已默认配置）：

curve25519-sha256

curve25519-sha256@libssh.org

diffie-hellman-group-exchange-sha256

可以根据实际业务场景进行修改配置，但所选择的算法必须符合业界安全标准。

**规则影响：**

如果SSH客户端不支持服务端配置的密钥交换算法，客户端将无法连接到SSH服务端。

**检查方法：**

检查/etc/ssh/sshd_config中是否配置了正确的密钥交换算法的字段：

```bash
# grep ^KexAlgorithms /etc/ssh/sshd_config
KexAlgorithms curve25519-sha256,curve25519-sha256@libssh.org,diffie-hellman-group-exchange-sha256
```

KexAlgorithms字段设置可用的SSH密钥交换算法，用户根据需要进行设置。

**修复方法：**

修改/etc/ssh/sshd_config，在该文件中设置SSH密钥交换算法，下面给出密钥交换算法示例，用户在设置的时候应根据需要进行设置，设置好密钥交换算法后需重启sshd服务：

```bash
# vim /etc/ssh/sshd_config
KexAlgorithms curve25519-sha256,curve25519-sha256@libssh.org,diffie-hellman-group-exchange-sha256
# systemctl restart sshd
```