### 3.3.4 确保用户认证密钥算法配置正确

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

如果采用公私钥认证方式，则需要限制客户端公私钥算法，避免使用已经被业界淘汰的不安全算法。

推荐的安全算法如下（按优先级排序，openEuler已默认配置）：

ssh-ed25519

ssh-ed25519-cert-v01@openssh.com

rsa-sha2-256

rsa-sha2-512

RFC 4253中定义的ssh-rsa公钥算法使用了SHA1进行哈希运算，因此禁止使用。

**规则影响：**

如果SSH客户端不支持服务端配置的公私钥算法，客户端将无法连接到SSH服务端。

**检查方法：**

通过如下方法检查配置：

```bash
# grep "^PubkeyAcceptedKeyTypes" /etc/ssh/sshd_config
PubkeyAcceptedKeyTypes ssh-ed25519,ssh-ed25519-cert-v01@openssh.com,rsa-sha2-256,rsa-sha2-512
```

**修复方法：**

修改文件/etc/ssh/sshd_config的PubkeyAcceptedKeyTypes字段的算法列表，不同算法间通过逗号分隔，重启sshd服务，例如：

```bash
# vim /etc/ssh/sshd_config
PubkeyAcceptedKeyTypes ssh-ed25519,ssh-ed25519-cert-v01@openssh.com,rsa-sha2-256,rsa-sha2-512
# systemctl restart sshd
```