### 3.3.5 确保PAM认证使能

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

PAM（Pluggable Authentication Modules）是Linux平台上可插拔的认证模块，PAM提供了一系列的开源共享库文件（so），通过配置参数可以灵活控制相关认证过程。SSH通过配置PAM认证，可以基于Linux系统的用户认证管理模块完成SSH远程登录用户的认证授权和管理，相对比较方便和统一；否则SSH需要对认证过程进行管理，例如认证失败次数控制，账号是否锁定等，配置容易遗漏或无法达到PAM管理的效果。

openEuler SSH默认使用PAM认证。

**规则影响：**

无

**检查方法：**

使用grep命令查看配置：

```bash
# grep -i "^UsePAM" /etc/ssh/sshd_config
UsePAM yes
```

**修复方法：**

修改/etc/ssh/sshd_config文件，将UsePAM设置为yes，重启sshd服务：

```bash
# vim /etc/ssh/sshd_config
UsePAM yes
# systemctl restart sshd
```
