### 3.3.6 确保SSH服务MACs算法配置正确

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

消息认证算法MACs：密码学中，通信实体双方使用的一种验证机制，保证了消息数据完整性。若配置的算法不安全，则会增加使用风险，因为弱算法在业界已经或者即将被破解。

推荐的安全算法如下（按优先级排序，openEuler已默认配置）：

hmac-sha2-512

hmac-sha2-512-etm@openssh.com

hmac-sha2-256

hmac-sha2-256-etm@openssh.com

**规则影响：**

如果SSH客户端不支持服务端配置的MACs算法，客户端将无法连接到SSH服务端。

**检查方法：**

使用grep命令查看配置，如果返回为空，表示未配置：

```bash
# grep -i "^MACs" /etc/ssh/sshd_config
MACs hmac-sha2-512,hmac-sha2-512-etm@openssh.com,hmac-sha2-256,hmac-sha2-256-etm@openssh.com
```

**修复方法：**

修改/etc/ssh/sshd_config文件，在该文件中设置SSH消息认证算法，下面给出消息认证算法示例，用户在设置的时候应根据需要进行设置，设置好消息认证算法后需重启sshd服务使之生效：

```bash
# vim /etc/ssh/sshd_config
MACs hmac-sha2-512,hmac-sha2-512-etm@openssh.com,hmac-sha2-256,hmac-sha2-256-etm@openssh.com
# systemctl restart sshd
```