### 3.3.7 确保SSH服务密码算法配置正确

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

随着密码技术的发展以及计算能力的提升，一些密码算法已不再适合现今的安全领域。例如MD5算法，该算法已经于2004年由山东大学王小云教授的团队予以破解（人为构造出两个具有相同MD5值的信息），并且在2007年由密码学家Marc Stevens进一步扩展和改进该攻击，实现了数字证书伪造，其安全性已非常低下，因此， MD5不应用于所有密码学安全用途，包括用于数字签名，HMAC，口令单向保护、密钥派生、RNG等，但是，对于校验线路错误、校验介质损坏引起的比特跳变等非密码学安全用途，使用MD5不受本规范约束。又比如DES算法，因为密码学分析技术的发展和计算能力提升导致对其进行暴力破解成为可能，现有的暴力破解设备能将破解DES的时间减少到一天以内。这些算法统称为不安全密码算法，如果继续使用这些不安全的密码算法，有可能为数据带来风险。

强密码算法是指当前被业界普遍认可，在其适合的应用场景下安全强度相对该场景下的其它加密算法有相对优势，在合理的安全假设下具有可证明安全性或对其实施破解在计算上显著不可行的密码算法。

密码算法用于加密解密数据，若配置的算法不安全，则会增加使用风险，因为弱算法在业界已经或者即将被破解。

**规则影响：**

如果SSH客户端不支持服务端配置的加密算法，客户端将无法连接到SSH服务端。

**检查方法：**

使用grep命令查看配置，如果返回为空，表示未配置：

```bash
# grep -i "^Ciphers" /etc/ssh/sshd_config
Ciphers aes128-ctr,aes192-ctr,aes256-ctr,chacha20-poly1305@openssh.com,aes128-gcm@openssh.com,aes256-gcm@openssh.com
```

**修复方法：**

修改/etc/ssh/sshd_config文件，在该文件中设置SSH密码算法，下面给出密码算法示例，用户在设置的时候应根据需要进行设置，设置好密码算法后需重启sshd服务使之生效：

```bash
# vim /etc/ssh/sshd_config
Ciphers aes128-ctr,aes192-ctr,aes256-ctr,chacha20-poly1305@openssh.com,aes128-gcm@openssh.com,aes256-gcm@openssh.com
# systemctl restart sshd
```