### 3.3.8 禁止SSH服务配置加密算法覆盖策略

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

SSH服务加密算法的配置文件为/etc/ssh/sshd_config、/etc/sysconfig/sshd。当SSH服务正在运行中，用户可以编辑/etc/sysconfig/sshd文件从而覆盖加密算法策略。如果配置加密算法覆盖策略将允许用户配置安全性较低的加密算法、消息认证算法、密钥交换算法等，降低了系统的安全性。攻击者可以利用这些不安全的算法破解系统信息，增加了安全风险。

openEuler默认不配置加密算法覆盖策略。

**规则影响：**

无

**检查方法：**

检查SSH配置文件/etc/sysconfig/sshd，如果“CRYPTO_POLICY=”字段为空或该行被注释则说明没有配置加密算法覆盖策略，反之则说明配置了加密算法覆盖策略。

```bash
# grep "^\s*CRYPTO_POLICY=" /etc/sysconfig/sshd | cut -d "=" -f 2-
'-oCiphers=aes256-ctr,aes192-ctr,aes128-ctr -oMACS=hmac-sha2-512,hmac-sha2-256'
```

**修复方法：**

编辑SSH服务配置文件/etc/sysconfig/sshd删除加密算法策略或注释掉该行，重新加载sshd配置。

```bash
# vim /etc/sysconfig/sshd
  
方案 1 删除加密算法策略：
CRYPTO_POLICY=
方案 2 注释该行：
# CRYPTO_POLICY='-oCiphers=aes256-ctr,aes192-ctr,aes128-ctr -oMACS=hmac-sha2-512,hmac-sha2-256'
  
# systemctl reload sshd
```