### 3.3.9 确保禁用root用户通过SSH登录

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

SSH 配置文件：/etc/ssh/sshd_config中的PermitRootLogin参数指定root用户是否可以使用ssh登录。
不允许root用户通过SSH登录：要求系统管理员使用自己的个人账户进行SSH登录，然后通过sudo或 su提升权限到root。这样可在发生安全事件时提供清晰的审计线索。
在对此项安全建议进行配置前，应确认还有其他可用的系统管理员用户账号，否则在配置生效后，将可能导致无法进行SSH远程管理。

**规则影响：**

配置生效后，root用户不能通过ssh远程登录

**检查方法：**

执行以下命令，验证SSH的PermitRootLogin配置是否正确（同时满足如下两个命令行的检查）：

 ```
 # sshd -T -C user=root -C host="$(hostname)" -C addr="$(grep $(hostname) /etc/hosts | awk '{print $1}')" | grep permitrootlogin
 permitrootlogin no
 # grep -Ei '^\s*PermitRootLogin\s+yes' /etc/ssh/sshd_config
 Nothing is returned
 ```

**修复方法：**

修改/etc/ssh/sshd_config文件，将PermitRootLogin字段修改为no，重启sshd服务：

```
# vim /etc/ssh/sshd_config
PermitRootLogin no
# systemctl restart sshd
```