### 3.4.1 确保crontab执行的脚本非属主用户不可写

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

crontab 是系统用来执行定时任务的配置文件，配置文件路径为/etc/crontab。管理员会根据实际的业务需要定义定时任务，操作系统会自动执行该任务。所以crontabs配置文件中配置的执行脚本（程序）应该只有该脚本（程序）的属主可写，不能配置其他低权限用户可写的脚本，否则其他用户可以通过修改该脚本实现提权操作。

**规则影响：**

无

**检查方法：**

检查crontabs配置文件/etc/crontab，检查执行脚本（程序）是否为其他低权限用户可写。

```bash
# Example of job definition:
# .---------------- minute (0 - 59)
# |  .------------- hour (0 - 23)
# |  |  .---------- day of month (1 - 31)
# |  |  |  .------- month (1 - 12) OR jan,feb,mar,apr ...
# |  |  |  |  .---- day of week (0 - 6) (Sunday=0 or 7) OR sun,mon,tue,wed,thu,fri,sat
# |  |  |  |  |
  *  *  *  *  * user-name  /bin/xxx.sh
# ll /bin/xxx.sh
-rw-------. 1 root root 451 Mar 27 17:00 /bin/xxx.sh
```

**修复方法：**

如果/etc/crontab配置文件中的执行脚本（程序）为其他低权限用户可写，则需要根据实际的业务场景进行修复：

- 修复方法1

  修改/etc/crontab配置文件中的执行脚本（程序）的文件权限，去除掉其他低特权用户的可写权限，以防止提权操作。

- 修复方法2

  修改/etc/crontab配置文件，删除该执行脚本（程序）的配置项，防止提权操作。