### 3.4.2 确保 cron 守护进程正常启用

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

cron 守护进程用于在系统上执行批处理作业。

即使操作系统目前可能没有需要运行的用户作业，也会有系统作业需要运行，其中就可能包括安全监控等重要作业，而 cron 守护进程就是用来执行这些作业的。cron守护进程未正常启用的影响：
1. 定时任务无法运行： 最直接的影响是配置在 cron 中的定时任务将无法自动运行。这可能会导致一些计划性的任务未能按时执行，如日志清理、备份、系统维护等。
2. 计划性任务延迟： 如果定时任务未能按时执行，可能会导致任务的延迟。这对于某些关键任务来说，可能会影响系统的正常运行和性能。
3. 系统维护和自动化受阻： 自动化任务通常用于监视系统状态、应用程序的运行情况等。如果这些任务未能按时执行，系统可能会错过对潜在问题的检测和处理。
4. 日志分析受影响： 许多系统管理员使用定时任务来执行日志分析、报告生成等任务。如果这些任务无法运行，可能会错过对系统运行情况的重要洞察。
5. 备份延误： 许多备份任务都是通过定时任务实现的。如果定时任务未运行，备份可能会受到影响，导致数据备份不及时或不完整。

**规则影响：**
无

**检查方法：**

执行以下命令来确定 cron 守护进程是否正常启用：

```bash
# systemctl is-enabled crond
enabled
```

如结果为enabled，则视为通过此项检查。

**修复方法：**

执行以下命令来启用 cron 进程：

```
# systemctl --now enable crond
```