### 3.4.3 确保at、cron配置正确

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

at服务用于进行简单的一次性任务执行，cron服务用于执行系统中的周期性定时任务。/etc/cron.deny是cron命令的黑名单配置文件，/etc/cron.allow是cron命令的白名单配置文件，默认不存在，白名单出现时，黑名单失效，只有root账号和写在白名单中的账号可以使用cron命令。

如果使用黑名单机制管理cron定时任务，有可能在添加了新账号之后忘记将其加入黑名单中，增大了系统潜在的安全攻击面。如果cron相关配置文件属主不为root，或者允许group和other用户访问，可能导致系统管理员以外的用户进行cron配置，带来系统安全隐患。如果系统无需启用at、cron配置，此配置项无需检查。

**规则影响：**

无

**检查方法：**

* 首先要确保系统中cron服务已经启用：

  ```bash
  # systemctl is-enabled crond
  ```

  请确认返回结果是enabled。

* 确认/etc/crontab文件和/etc/cron.hourly、/etc/cron.daily、/etc/cron.weekly、/etc/cron.monthly、/etc/cron.d目录的UID和GID都是0，且不允许group和other用户访问：  

  ```bash
  # stat /etc/crontab
  Access: (0600/-rw-------)  Uid: (    0/    root)   Gid: (    0/    root)
  ```

* 确认黑名单文件/etc/cron.deny和/etc/at.deny不存在，确认白名单文件/etc/cron.allow和/etc/at.allow设置了正确的权限，即UID和GID都是0，且不允许group和other用户访问：

  ```bash
  # stat /etc/cron.allow
  Access: (0600/-rwx------)  Uid: (    0/    root)   Gid: (    0/    root)
  ```

**修复方法：**

* 如果没有启用cron服务，使用以下命令启用：

  ```bash
  # systemctl --now enable crond
  ```

* 设置/etc/crontab文件和/etc/cron.hourly、/etc/cron.daily、/etc/cron.weekly、/etc/cron.monthly、/etc/cron.d目录的UID/GID及权限：

  ```bash
  # chown root:root /etc/crontab
  # chmod og-rwx /etc/crontab
  ```

* 删除/etc/cron.deny和/etc/at.deny文件，创建/etc/cron.allow和/etc/at.allow文件并设置正确的权限：

  ```bash
  # rm /etc/cron.deny /etc/at.deny
  # touch /etc/cron.allow /etc/at.allow
  # chmod og-rwx /etc/cron.allow
  # chmod og-rwx /etc/at.allow
  # chown root:root /etc/cron.allow
  # chown root:root /etc/at.allow
  ```