### 3.5.10 确保丢弃伪造的ICMP报文，不记录日志

**级别：** 要求

**适用版本：** 全部

**规则说明：**

将icmp_ignore_bogus_error_responses设置为1可以防止内核记录广播重复数据包的响应，从而避免文件系统填充无用的日志信息。

一些攻击者会发送违反RFC-1122的ICMP报文，并试图用大量无用的错误信息填充日志文件系统。

**规则影响：**

系统丢弃伪造的ICMP报文，不记录日志

**检查方法：**

首先，检查当前系统内核参数的设置。执行以下命令并检查icmp_ignore_bogus_error_responses参数的返回值，如果icmp_ignore_bogus_error_responses参数返回值为1，表示系统忽略ICMP错误响应。如果icmp_ignore_bogus_error_responses参数返回值为0，表示系统处理ICMP错误响应。

```bash
# sysctl net.ipv4.icmp_ignore_bogus_error_responses
net.ipv4.icmp_ignore_bogus_error_responses = 1
```

其次，执行如下命令，如果返回值不为1，表示配置不正确，建议修改配置文件内容。如果返回值为空，表示系统使用默认配置(值为1)。

```bash
# grep "net.ipv4.icmp_ignore_bogus_error_responses" /etc/sysctl.conf /etc/sysctl.d/*
net.ipv4.icmp_ignore_bogus_error_responses = 1
```

**修复方法：**

输入丢弃伪造的ICMP报文规则的命令：

```bash
# sysctl -w net.ipv4.icmp_ignore_bogus_error_responses=1
# sysctl -w net.ipv4.route.flush=1
```

修改/etc/sysctl.conf文件，添加或修改配置：

```bash
net.ipv4.icmp_ignore_bogus_error_responses = 1
```