### 3.5.14 确保TCP-SYN cookie保护已启用

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

TCP-SYN cookie保护减轻了系统在遭受SYN Flooding攻击时受到的影响。

攻击者使用SYN泛洪攻击时，快速耗尽内核中半开连接队列，阻止合法连接。但启用SYN cookie，即使受到拒绝服务攻击仍允许系统继续接受合法连接。

**规则影响：**

无

**检查方法：**

首先，检查当前系统内核参数的设置。执行以下命令并检查tcp_syncookies参数的返回值，如果tcp_syncookies参数返回值为1，表示启用TCP-SYN cookie保护机制。如果tcp_syncookies参数返回值为0，表示未启用TCP-SYN cookie保护机制。

```bash
# sysctl net.ipv4.tcp_syncookies
net.ipv4.tcp_syncookies = 1
```

其次，执行如下命令，如果返回值不为1，表示配置不正确，建议修改配置文件内容。如果返回值为空，表示系统使用默认配置（值为1）。

```bash
# grep "^net.ipv4.tcp_syncookies" /etc/sysctl.conf /etc/sysctl.d/*
net.ipv4.tcp_syncookies=1
/etc/sysctl.d/99-sysctl.conf:net.ipv4.tcp_syncookies=1
```

**修复方法：**

* 启用保护，可使用如下命令临时设置，重启后恢复默认值：

    ```bash
    # sysctl -w net.ipv4.tcp_syncookies=1
    # sysctl -w net.ipv4.route.flush=1
    ```

* 修改/etc/sysctl.conf文件，添加或修改配置，并执行# sysctl -p /etc/sysctl.conf，使其永久生效：
    ```bash
    net.ipv4.tcp_syncookies=1
    ```