### 3.5.15 应当记录仿冒、源路由以及重定向报文日志

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

记录欺骗的包、源路由包和发给系统的重定向包有助于发现攻击源与制定防护措施。

**规则影响：**

开启后会记录带有不允许的地址的数据到内核日志中，存在冲日志风险。

**检查方法：**

首先，检查当前系统内核参数的设置。执行以下命令并检查log_martians参数的返回值，如果log_martians参数返回值为1，表示开启记录仿冒、源路由以及重定向报文日志。如果log_martians参数返回值为0，表示系统关闭记录机制。

```bash
# sysctl net.ipv4.conf.all.log_martians
net.ipv4.conf.all.log_martians = 0
# sysctl net.ipv4.conf.default.log_martians
net.ipv4.conf.default.log_martians = 0
```

其次，执行如下命令，如果返回值不为1，表示配置不正确，建议修改配置文件内容。如果返回值为空，表示系统使用默认配置（值为0），建议用户在配置文件中添加正确配置。

```bash
# grep "^net.ipv4.conf.all.log_martians" /etc/sysctl.conf /etc/sysctl.d/*
# grep "^net.ipv4.conf.default.log_martians" /etc/sysctl.conf /etc/sysctl.d/*
```

**修复方法：**

* 打开记录，可使用如下命令临时设置，重启后恢复默认值：

    ```bash
    # sysctl -w net.ipv4.conf.all.log_martians=1
    # sysctl -w net.ipv4.conf.default.log_martians=1
    ```

* 修改/etc/sysctl.conf文件，添加或修改配置，并执行# sysctl -p /etc/sysctl.conf，使其永久生效：

    ```bash
    net.ipv4.conf.all.log_martians=1
    net.ipv4.conf.default.log_martians=1
    ```