### 3.5.16 避免开启tcp_timestamps

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

tcp_timestamps用于记录TCP数据包的发送时间，可用于RTT测量（RTTM）和保护序号绕回（PAWS），是一个双向的选项，只有在客户端和服务端同时启用时才使能。启用该选项可能遭受拒绝服务攻击。

**规则影响：**

关闭此项会影响TCP在极端情况下超时重传的可靠性。

**检查方法：**

首先，检查当前系统内核参数的设置，执行以下命令并检查tcp_timestamps参数的返回值，如果tcp_timestamps参数返回值为1，表示开启tcp_timestamps机制。如果参数返回值为0，表示关闭tcp_timestamps机制。

```bash
# sysctl net.ipv4.tcp_timestamps
net.ipv4.tcp_timestamps = 1
```

其次，执行如下命令，如果返回值不为0，表示配置不正确，建议修改配置文件内容。如果返回值为空，表示系统使用默认配置（默认值为1），建议用户在配置文件中添加正确配置。

```bash
# grep "^net.ipv4.tcp_timestamps" /etc/sysctl.conf /etc/sysctl.d/*
```

**修复方法：**

* 关闭tcp_timestamps，可使用如下命令临时设置，重启后恢复默认值：

    ```bash
    # sysctl -w net.ipv4.tcp_timestamps=0
    ```

* 修改/etc/sysctl.conf文件，添加或修改配置，并执行# sysctl -p /etc/sysctl.conf，使其永久生效：

    ```bash
    net.ipv4.tcp_timestamps=0
    ```