### 3.5.17 确保TIME_WAIT TCP协议等待时间已配置

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

TIME_WAIT是TCP协议等待连接销毁的时间，设置过长会导致存在大量未关闭的TCP连接，导致遭受拒绝服务攻击，建议配置不大于60。

**规则影响：**

TIME_WAIT时间设置过长会导致遭受拒绝服务攻击

**检查方法：**

首先，检查当前系统内核中TIME_WAIT值的设置，执行以下命令并检查tcp_fin_timeout参数的返回值。

```bash
# sysctl net.ipv4.tcp_fin_timeout
net.ipv4.tcp_fin_timeout = 60
```
其次，执行如下命令，如果返回值与内核参数不一致，建议根据需求进行修改。如果返回值为空，表示系统使用默认配置（默认值为60）。

```bash
# grep "^net.ipv4.tcp_fin_timeout" /etc/sysctl.conf /etc/sysctl.d/*
```

**修复方法：**

* 设置TIME_WAIT tcp协议等待时间，建议不大于60，可使用如下命令临时设置，重启后恢复默认值：

    ```bash
    # sysctl -w net.ipv4.tcp_fin_timeout=60
    ```

* 修改/etc/sysctl.conf文件，添加或修改配置，并执行# sysctl -p /etc/sysctl.conf，使其永久生效：

    ```bash
    net.ipv4.tcp_fin_timeout=60
    ```