### 3.5.18 应当正确配置SYN_RECV状态队列数量

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

SYN_RECV队列保存尚未获得对方确认的TCP连接请求，值越大表示可以容纳更多等待连接的网络连接数。如果配置值太小，容易被TCP SYN泛洪攻击，导致正常连接被拒绝服务；配置太大，则会消耗更多系统资源。建议队列数量设置为256。

**规则影响：**

从安全角度，建议配置较大值以消减TCP SYN泛洪攻击，但配置太大，则会消耗更多系统资源，对内存较小环境，可能会影响正常业务。

**检查方法：**

首先，检查当前系统内核中SYN_RECV队列数量的设置，执行以下命令并检查tcp_fin_timeout参数的返回值。

```bash
# sysctl net.ipv4.tcp_max_syn_backlog
net.ipv4.tcp_max_syn_backlog = 256
```

其次，执行如下命令，如果返回值与内核参数不一致，建议根据需求进行修改。如果返回值为空，表示系统使用默认配置（默认值为256）。

```bash
# grep "^net.ipv4.tcp_max_syn_backlog" /etc/sysctl.conf /etc/sysctl.d/*
net.ipv4.tcp_max_syn_backlog=256
```

**修复方法：**

* 设置SYN_RECV状态队列数量，可使用如下命令临时设置，重启后恢复默认值：

    ```bash
    # sysctl -w net.ipv4.tcp_max_syn_backlog=256
    ```

* 修改/etc/sysctl.conf文件，添加或修改配置，并执行# sysctl -p /etc/sysctl.conf，使其永久生效：

    ```bash
    net.ipv4.tcp_max_syn_backlog=256
    ```