### 3.5.19 禁止使用ARP代理

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

ARP代理允许系统代表连接到某个接口的主机向另一个接口上的ARP请求发送响应。禁用ARP代理不仅可以防止未经授权的信息共享还可以防止连接的网络区段之间寻址信息泄露。所以应关闭ARP代理以避免ARP报文攻击对系统造成影响。

openEuler默认禁止使用ARP代理，用户可根据业务需求进行配置。

**规则影响：**

依赖于ARP代理的程序执行受限制

**检查方法：**

首先，检查当前系统内核参数的设置，执行以下命令并检查proxy_arp参数的返回值，如果proxy_arp参数返回值为1，表示开启ARP代理。如果proxy_arp参数返回值为0，表示禁止使用ARP代理。

```bash
# sysctl net.ipv4.conf.all.proxy_arp
net.ipv4.conf.all.proxy_arp = 0
# sysctl net.ipv4.conf.default.proxy_arp
net.ipv4.conf.default.proxy_arp = 0
```

其次，执行如下命令，如果返回值不为0，表示配置不正确，建议修改配置文件内容。如果返回值为空，表示系统使用默认配置（值为0）。

```bash
# grep "^net.ipv4.conf.all.proxy_arp" /etc/sysctl.conf /etc/sysctl.d/*
# grep "^net.ipv4.conf.default.proxy_arp" /etc/sysctl.conf /etc/sysctl.d/*
```
**修复方法：**

* 关闭ARP代理的命令，可使用如下命令临时设置，重启后恢复默认值：

    ```bash
    # sysctl -w net.ipv4.conf.all.proxy_arp=0
    # sysctl -w net.ipv4.conf.default.proxy_arp=0
    ```

* 修改/etc/sysctl.conf文件，添加或修改配置，并执行# sysctl -p /etc/sysctl.conf，使其永久生效：

    ```bash
    net.ipv4.conf.all.proxy_arp=0
    net.ipv4.conf.default.proxy_arp=0
    ```