### 3.5.1 确保内核ASLR已启用

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

ASLR通过每次将栈的起始位置、函数库和程序本身移至略微不同的位置，使得缓冲溢出攻击无法猜测正确的位置，导致攻击无法成功实施。linux内核中ASLR分为0,1,2三级通过/proc/sys/kernel/randomize_va_space文件配置查看，各级对应的效果：

0：不存在随机化，表示一切都将位于静态地址中

1：只有共享函数库、栈、mmap’ed 内存、VDSO以及堆是随机的

2：完全随机化。使用brk()进行的旧式内存配置也将是随机的

进程中栈的地址被随机化，降低缓冲溢出攻击的风险

**规则影响：**

无

**检查方法：**

输入以下命令并检查相应的命令返回是否为2：

```bash
# cat /proc/sys/kernel/randomize_va_space
2
```

**修复方法：**

修改randomize_va_space值为2：

```bash
# echo 2 > /proc/sys/kernel/randomize_va_space
```
