### 3.5.21 禁止使用SysRq键

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

SysRq使得具有物理访问的用户能够访问计算机中危险的系统级命令，需要对SysRq的功能使用进行限制。

如果没有禁用SysRq键，则可以通过键盘触发SysRq的调用，可能造成直接发送命令到内核，对系统造成影响。

openEuler默认禁止使用SysRq键。

**规则影响：**

系统下sysRq相关命令无法使用

**检查方法：**

首先，检查当前系统内核参数的设置。执行以下命令，如果sysrq参数返回值为0，表示禁用SysRq键。否则，表示配置不正确，建议修改配置文件内容。

```bash
# cat /proc/sys/kernel/sysrq
0
```

其次，执行如下命令，如果返回值不为0，表示配置不正确，建议修改配置文件内容。如果返回值为空，表示系统使用默认配置（值为0）。

```bash
# grep "^kernel.sysrq" /etc/sysctl.conf /etc/sysctl.d/*
/etc/sysctl.conf:kernel.sysrq=0
/etc/sysctl.d/99-sysctl.conf:kernel.sysrq=0
```

**修复方法：**

* 禁用SysRq，可使用如下命令临时设置，重启后恢复默认值：

    ```bash
    # echo 0 > /proc/sys/kernel/sysrq
    ```
    或
    ```bash
    # sysctl -w kernel.sysrq=0
    ```

* 修改/etc/sysctl.conf文件，添加或修改配置，并执行# sysctl -p /etc/sysctl.conf，使其永久生效：

    ```bash
    kernel.sysrq=0
    ```