### 3.5.22 应当正确配置内核参数ptrace_scope

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

ptrace是一种系统调用用于进程跟踪，提供了父进程可以观察并控制子进程的能力。Linux Kernel 3.4以及更高版本支持完全限制或禁用ptrace功能，根据Linux Kernel Yama Documentation，ptrace_scope可以选择如下参数：

0：进程可以将PTRACE_ATTACH传递给任何其他进程，只要它是可转储的（即没有转换uid，没有特权启动或没有调用prctl）。

1：进程如果要调用PTRACE_ATTACH，必须有预先的定义关系。默认情况下满足上述条件时，预定义的关系仅为子进程的关系。若要改变关系，子进程可以调用prctl调整这种关系。

2：只有具有CAP_SYS_PTRACE的进程通过PTRACE_ATTACH或通过子进程调用PTRACE_TRACEME才能使用ptrace。

3：任何进程都不能将ptrace与PTRACE_ATTACH一起使用，也不能通过PTRACE_TRACEME使用。

openEuler默认参数为0，用户可根据实际使用场景进行配置，建议配置值为2。

**规则影响：**

该参数的配置将影响ptrace的使用，当配置参数为2时，只有CAP_SYS_PTRACE的进程才能使用ptrace，这样会有效防止攻击者恶意提权，但同时会导致用户ptrace部分功能受到影响。

**检查方法：**

首先，检查当前系统内核参数的设置，执行以下命令并检查log_martians参数的返回值与业务场景需求是否一致。

```bash
# sysctl kernel.yama.ptrace_scope
kernel.yama.ptrace_scope = 0
```

其次，执行如下命令，如果返回值不为2，建议修改配置文件内容。如果返回值为空，表示系统使用默认配置（值为0），建议用户在配置文件中添加正确配置。

```bash
# grep "^kernel.yama.ptrace_scope" /etc/sysctl.conf /etc/sysctl.d/*
```

**修复方法：**

* 设置ptrace_scope的值，可使用如下命令临时设置，重启后恢复默认值：

    ```bash
    # echo 2 > /proc/sys/kernel/yama/ptrace_scope
    ```
    或
    ```bash
    # sysctl -w kernel.randomize_va_space=2
    ```

* 修改/etc/sysctl.conf文件，添加或修改配置，并执行# sysctl -p /etc/sysctl.conf，使其永久生效：

    ```bash
    kernel.yama.ptrace_scope=2
    ```