### 3.5.23 应当启用seccomp

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

seccomp（全称：secure computing mode），在刚引入linux内核时，将进程可用的系统调用限制为四种：read，write，_exit，sigreturn。最初的这种白名单方式，除了已打开的文件描述符允许的四种系统调用，如果尝试其他系统调用，内核就会使用SIGKILL或SIGSYS终止该进程。

白名单方式由于限制太强，实际作用并不大，在实际应用中需要更加精细的限制，为了解决此问题，引入了BPF。seccomp和BPF规则的结合，它允许用户使用可配置的策略过滤系统调用，该策略使用Berkeley Packet Filter规则实现，它可以对任意系统调用及其参数进行过滤。

openEuler内核默认已经提供seccomp功能支持，同时提供了libseccomp外围包，帮助用户态程序可以方便的设置seccomp规则。

**规则影响：**

seccomp并不能全局设置启闭或规则，而是针对于每一个进程的，也就是进程可以自己设置启用seccomp，作用于自身以及所有子线程，但不影响其他进程。

如果进程启用了seccomp，在进行系统调用时会有性能损失，用户需要根据实际业务场景确定性能损失是否可接受。

**检查方法：**

检查目标进程是否启用了seccomp模式，此处以检查test_seccomp进程为例，首先确定进程号：
```bash
# ps -aux | grep "test_seccomp" 
root  [PID_num]  0.0  0.0   2688   976 pts/0    S    12:35   0:00 ./test_seccomp
```

根据获取的pid号查询进程是否启用了seccomp功能，若返回值为0代表未开启seccomp功能，1代表开启seccomp STRICT模式，2则代表该进程启用了seccomp FILTER模式。如果用户需要开启seccomp FILTER模式，则建议用户根据实际业务场景设置合理的规则：

```bash
# cat /proc/[pid]/status | grep "Seccomp"
Seccomp:        2
```

**修复方法：**

可以在业务进程中通过调用libseccomp接口进行seccomp相关规则的配置，具体配置方法，可以参考libseccomp的开源帮助文档。
