### 3.5.2 确保dmesg访问权限配置正确

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

限制访问 dmesg 信息权限，无特权的用户无法查看系统信息，从而可以避免任何人从系统信息获取敏感信息，进而对系统进行攻击的行为。仅允许具有 CAP_SYSLOG 能力的进程查看内核日志信息。从而控制关键信息的最小权限，保障系统更加安全。

**规则影响：**

无

**检查方法：**

检查/etc/sysctl.conf文件中是否已经配置相关字段，“kernel.dmesg_restrict=1”表示已经设置dmesg的访问限制：

```bash
# grep kernel.dmesg_restrict /etc/sysctl.conf
kernel.dmesg_restrict=1
```

**修复方法：**

打开/etc/sysctl.conf文件，设置kernel.dmesg_restrict为1：

```bash
# vim /etc/sysctl.conf
kernel.dmesg_restrict=1
```