### 3.5.3 确保正确配置内核参数kptr_restrict

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

kptr_restrict的作用是保护内核符号地址，保护等级低时普通用户可以访问得到内核符号地址容易被攻击者利用，增加了攻击面降低了系统安全性。

当前kptr_restrict可以选择如下参数：

0：普通用户和带有CAP_SYSLOG特权的用户均可以读取（读取地址为内核符号地址经哈希运算后的值）。

1：只有带有CAP_SYSLOG特权的用户有读取权限（读取地址为内核符号实际地址），普通用户读取后内核符号地址打印为全零。

2：普通用户及带有CAP_SYSLOG特权的用户均无权限读取，读取后内核符号地址打印为全零。

考虑到易维护性、可定位性，openEuler发行版默认配置kptr_restrict参数为0，请根据实际场景按需配置。

**规则影响：**

普通用户无法获取内核符号地址。

**检查方法：**

输入以下命令并检查相应的命令返回值是否为1：

```bash
# sysctl kernel.kptr_restrict
kernel.kptr_restrict = 1
```

**修复方法：**

建议设置kptr_restrict的值为1：

```bash
# echo 1 > /proc/sys/kernel/kptr_restrict
```

或者修改/etc/sysctl.conf文件，添加或修改配置，并执行# sysctl –p /etc/sysctl.conf：

```bash
kernel.kptr_restrict=1
```