### 3.5.4 确保内核SMAP已启用

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

内核参数SMAP(Supervisor Mode Access Prevention，管理模式访问保护)，开启后禁止内核访问用户空间的数据。若不开启SMAP内核参数，攻击者可以利用通过内核态代码重定向的方式访问用户空间数据，增加了攻击面降低了系统安全性。

openEuler默认开启SMAP。

**规则影响：**

内核不能访问用户空间数据。

**检查方法：**

输入以下命令并检查是否有返回值，如果有返回值则说明cpu支持SMAP，反之则说明不支持SMAP：
注：仅X86架构支持SMAP特性（物理机、虚拟机均支持），其他架构可忽略该项。

```bash
# cat /proc/cpuinfo | grep "smap"
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ss syscall nx pdpe1gb rdtscp lm constant_tsc arch_perfmon rep_good nopl xtopology cpuid tsc_known_freq pni pclmulqdq vmx ssse3 fma cx16 pcid sse4_1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave avx f16c rdrand hypervisor lahf_lm abm 3dnowprefetch cpuid_fault invpcid_single pti tpr_shadow vnmi flexpriority ept vpid fsgsbase tsc_adjust bmi1 avx2 smep bmi2 erms invpcid rdseed adx smap xsaveopt arat umip arch_capabilities
```

通过检查启动参数检验是否开启SMAP，若有返回值则说明未开启，反之则说明开启。

```bash
# cat /proc/cmdline | grep -i "nosmap"
```

**修复方法：**

若关闭了SMAP选项，需要编辑grub.cfg文件,在启动参数中删除nosmap选项。

```bash
# vim /boot/efi/EFI/openEuler/grub.cfg
```