### 3.5.6 禁止系统响应ICMP广播报文

**级别：** 要求

**适用版本：** 全部

**规则说明：**

ICMP是网络控制消息协议，主要用于传递查询报文与差错报文，通过设置是否接受ICMP广播报文对ICMP报文攻击进行防护。

该参数决定设备是否要回应ICMP echo消息和时间戳请求，对这些消息和请求来说，目的地址就是广播地址。无论是哪台设备发送的报文，报文都会发送到网络上的每一台设备上去。如果源地址是伪造的，就可能会导致网络上所有的设备发送恶意的echo报文给受害者（被伪造地址的设备）。

**规则影响：**

系统不响应ICMP广播报文。

**检查方法：**

首先，检查当前系统内核参数的设置。执行以下命令并检查icmp_echo_ignore_broadcasts参数的返回值，如果icmp_echo_ignore_broadcasts参数返回值为1，表示系统禁止响应ICMP报文。如果icmp_echo_ignore_broadcasts参数返回值为0，表示系统未禁止响应ICMP报文。

```bash
# sysctl net.ipv4.icmp_echo_ignore_broadcasts
net.ipv4.icmp_echo_ignore_broadcasts = 1
```

其次，执行如下命令，如果返回值不为1，表示配置不正确，建议修改配置文件内容。如果返回值为空，表示系统使用默认配置(值为1)。

```bash
# grep "net.ipv4.icmp_echo_ignore_broadcasts" /etc/sysctl.conf /etc/sysctl.d/*
net.ipv4.icmp_echo_ignore_broadcasts=1
```

**修复方法：**

输入命令禁止系统响应ICMP广播报文：

```bash
# sysctl -w net.ipv4.icmp_echo_ignore_broadcasts=1
```

修改/etc/sysctl.conf文件，添加或修改配置

```bash
net.ipv4.icmp_echo_ignore_broadcasts=1
```