### 3.5.8 禁止转发ICMP重定向报文

**级别：** 要求

**适用版本：** 全部

**规则说明：**

ICMP重定向用于向其他主机发送路由信息。由于主机本身不充当路由器，因此没有必要转发ICMP重定向数据包。

攻击者可以利用受到攻击的主机向其他路由器设备发送无效的ICMP重定向，试图破坏路由，并让用户访问错误的系统。

**规则影响：**

系统不转发ICMP重定向报文。

**检查方法：**

首先，检查当前系统内核参数的设置。执行以下命令并检查send_redirects参数的返回值，如果send_redirects参数返回值为1，表示系统转发ICMP重定向报文。如果send_redirects参数返回值为0，表示系统不转发ICMP重定向报文。

```bash
# sysctl net.ipv4.conf.all.send_redirects
net.ipv4.conf.all.send_redirects = 0
# sysctl net.ipv4.conf.default.send_redirects
net.ipv4.conf.default.send_redirects = 0
```

其次，执行如下命令，如果返回值不为0，表示配置不正确，建议修改配置文件内容。如果返回值为空，表示系统使用默认配置(值为0)。

```bash
# grep "net.ipv4.conf.all.send_redirects" /etc/sysctl.conf /etc/sysctl.d/*
net.ipv4.conf.all.send_redirects=0
# grep "net.ipv4.conf.default.send_redirects" /etc/sysctl.conf /etc/sysctl.d/*
net.ipv4.conf.default.send_redirects=0
```

**修复方法：**

输入命令禁止转发ICMP重定向报文：

```bash
# sysctl -w net.ipv4.conf.all.send_redirects=0
# sysctl -w net.ipv4.conf.default.send_redirects=0
# sysctl -w net.ipv4.route.flush=1
```

修改/etc/sysctl.conf文件，添加或修改配置：

```bash
net.ipv4.conf.all.send_redirects=0
net.ipv4.conf.default.send_redirects=0
```