### 3.5.9 应当忽略所有ICMP请求

**级别：** 建议

**适用版本：** 全部

**规则说明：**

通过忽略所有ICMP请求，禁止外界通过ping命令访问系统。

攻击者可以通过ping命令的返回来感知系统所处的网址位置。

**规则影响：**

系统忽略所有ICMP请求。

**检查方法：**

首先，检查当前系统内核参数的设置。执行以下命令并检查icmp_echo_ignore_all参数的返回值，如果icmp_echo_ignore_all参数返回值为1，表示系统忽略所有ICMP请求。如果icmp_echo_ignore_all参数返回值为0，表示系统响应ICMP请求。

```bash
# sysctl net.ipv4.icmp_echo_ignore_all
net.ipv4.icmp_echo_ignore_all = 0
```

其次，执行如下命令，如果返回值不为1，表示配置不正确，建议修改配置文件内容。如果返回值为空，表示系统使用默认配置(值为0)，建议用户在配置文件中添加正确配置。

```bash
# grep "net.ipv4.icmp_echo_ignore_all" /etc/sysctl.conf /etc/sysctl.d/*
```

**修复方法：**

输入命令禁止转发ICMP重定向报文：

```bash
# sysctl -w net.ipv4.icmp_echo_ignore_all=1
```

修改/etc/sysctl.conf文件，添加或修改配置：

```bash
net.ipv4.icmp_echo_ignore_all=1
```