### 3.6.2 应当正确配置chronyd服务

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

授时服务器配置不正确，可能导致本地服务器时间同周边其他服务器不同步，同标准时间不同步，对于一些强依赖于时间同步的服务，如市场交易等，可能造成业务中断、错误，甚至被攻击者利用时间差进行数据篡改、伪造。

chrony是一个开源的自由软件，同传统NTP服务一样，它能保持系统时钟与授时服务器同步，让时间保持精确，由两个程序组成：chronyd和chronyc。

chronyd是一个后台运行的守护进程，用于调整内核中运行的系统时钟和授时服务器同步，它确定计算机增减时间的比率，并对此进行补偿。

chronyc提供了一个用户界面，用于监控性能并进行多样化的配置，它可以在运行chronyd服务的计算机上工作，也可以在一台不同的远程计算机上工作。

如果根据业务场景选择使用chronyd作为时间同步服务，需正确配置远端授时服务器并启用chronyd服务。

chrony同NTP可互相替换，openEuler默认启用chronyd服务。

**规则影响：**

无

**检查方法：**

- 使用grep命令查看/etc/chrony.conf文件中是否正确配置了授时服务器地址：

  ```bash
  # grep "^server\|^pool" /etc/chrony.conf
  server <IP address>
  pool <IP address>
  ```

- 使用ps命令查看是否已启动chronyd服务，如果返回“/usr/sbin/chronyd”进程，表示已经启动：

  ```bash
  # ps -ef | grep chronyd
  chrony   1569550       1  0 18:39 ?        00:00:00 /usr/sbin/chronyd
  ```

**修复方法：**

- 修改/etc/chrony.conf文件，在pool或server字段添加正确的授时服务器地址，如果有多个授时服务器，可以按照优先顺序配置多条：

  ```bash
  # vim /etc/chrony.conf
  server <IP address>
  server <IP address>
  ```

- 使用service命令启动chronyd服务，并查看服务启动状态：

  ```bash
  # service chronyd start
  Redirecting to /bin/systemctl start chronyd.service
  # service chronyd status 2>&1 | grep Active
     Active: active (running) since Tue 2020-12-01 14:47:49 CST; 1min 6s ago
  ```