### 4.1.10 避免使用auditctl设置Auditd规则

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

auditd服务规则可以在/etc/audit/rules.d/目录下的规则文件中配置后，重启服务器生效，也可以通过auditctl命令设置，并立即生效。/etc/audit/rules.d/目录权限为750，而auditctl权限为755，所以禁止通过auditctl命令修改auditd服务规则，可以缩小攻击面，防止低权限攻击者通过命令行修改规则并立即实施攻击行为。

openEuler，默认不禁止通过auditctl命令修改auditd服务规则，建议用户根据业务场景，禁用auditctl方式设置。

**规则影响：**

无

**检查方法：**

通过grep命令，检查/etc/audit/rules.d/目录下是否存在特定的rules文件，包含有“-e 2”字段：

```bash
# grep "-e 2" /etc/audit/rules.d/*.rules
/etc/audit/rules.d/immutable.rules:-e 2
```

**修复方法：**

在/etc/audit/rules.d/目录下新建以.rules为后缀的规则文件（可随意命名），添加“-e 2”字段：

```bash
# vim /etc/audit/rules.d/immutable.rules
-e 2
```

重启auditd服务，使规则生效：

```bash
# service auditd restart
Stopping logging: [  OK  ]
Redirecting start to /bin/systemctl start auditd.service
```