### 4.1.11 确保日志大小限制配置正确

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

audit日志文件需要配置大小限制，达到限制后通过rotate机制，新建日志文件重新记录，可以防止单个文件过大问题，便于管理和追溯。配置上限过大，容易导致单个日志文件过大，不利于管理；配置上限过小，则容易导致过多的日志文件或者日志文件因rotate机制被频繁覆盖，不利于事后追溯。

openEuler默认配置8MB，用户可根据实际场景修改配置。

**规则影响：**

无

**检查方法：**

使用如下命令查看当前配置：

```bash
# grep "^max_log_file" /etc/audit/auditd.conf
max_log_file = 8
max_log_file_action = ROTATE
```
**修复方法：**

修改/etc/audit/auditd.conf文件中max_log_file字段的值（单位是MB）：

```bash
# vim /etc/audit/auditd.conf
max_log_file = <numeric value in megabytes>
```

重启auditd服务，使配置生效：

```bash
# service auditd restart
Stopping logging: [  OK  ]
Redirecting start to /bin/systemctl start auditd.service
```