### 4.1.13 应当配置sudoers审计规则

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

sudo命令允许普通用户提权执行root管理员权限相关的操作，属于高危操作，攻击者一般无法直接获取root权限，但通过sudo命令提权，相对比较容易。建议配置对/etc/sudoers文件以及/etc/sudoers.d/目录审计，记录读、写操作的审计日志，从而追溯是否有配置修改或读取操作（提权操作需要读取配置）。如果不配置sudoers审计，发生非法提权操作时不利于追溯。

openEuler默认不配置sudoers审计规则，建议用户根据实际业务场景配置相应规则。

**规则影响：**

配置sudoers审计，由于在文件操作时需要记录审计日志，对性能有轻微影响。

**检查方法：**

通过如下方法，检查是否存在针对/etc/sudoers文件以及/etc/sudoers.d/目录的审计规则：

```bash
# auditctl -l | grep "sudoers"
-w /etc/sudoers -p wa -k sudoers
-w /etc/sudoers.d -p wa -k sudoers
```

**修复方法：**

在/etc/audit/rules.d/目录下新建规则文件，例如sudoers.rules，在文件中添加审计规则：

```bash
# vim /etc/audit/rules.d/sudoers.rules
-w /etc/sudoers -p wa -k <rules name>
-w /etc/sudoers.d -p wa -k <rules name>
```

重启auditd服务，使规则生效：

```bash
# service auditd restart
Stopping logging: [  OK  ]
Redirecting start to /bin/systemctl start auditd.service
```