### 4.1.14 应当配置会话审计规则

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

建议对/var/run/utmp、/var/log/wtmp、/var/log/btmp三个文件进行审计监控，utmp文件记录了当前所有的登录事件信息；wtmp文件记录了所有的登录、登出、关机、重启事件信息，btmp记录了登录失败事件信息。如果不配置会话审计，管理员无法从audit日志中追溯登录、登出等事件，或可追溯信息不够。

openEuler默认不配置会话审计规则，建议用户根据实际业务场景进行配置。

**规则影响：**

配置会话审计，由于在文件操作时需要记录审计日志，对性能有轻微影响，但由于登录、登出动作本身不应快速、频繁发生，用户无感知。

**检查方法：**

通过如下方法，检查是否存在针对/var/run/utmp、/var/log/wtmp、/var/log/btmp文件的审计规则：

```bash
# auditctl -l | grep -iE "utmp|wtmp|btmp"
-w /var/run/utmp -p wa -k session
-w /var/log/wtmp -p wa -k session
-w /var/log/btmp -p wa -k session
```

**修复方法：**

在/etc/audit/rules.d/目录下新建规则文件，例如session.rules，在文件中添加审计规则：

```bash
# vim /etc/audit/rules.d/session.rules
-w /var/run/utmp -p wa -k <rules name>
-w /var/log/wtmp -p wa -k <rules name>
-w /var/log/btmp -p wa -k <rules name>
```

重启auditd服务，使规则生效：

```bash
# service auditd restart
Stopping logging: [  OK  ]
Redirecting start to /bin/systemctl start auditd.service
```