### 4.1.16 应当配置SELinux审计规则

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

SELinux是Linux平台提供的强制访问控制功能组件，用于对进程、文件等进行细粒度的权限控制。建议对SELinux配置文件、策略文件等配置审计，记录修改日志。如果不配置SELinux审计，如果发生非法策略修改，不利于追溯。

openEuler默认不配置SELinux审计规则，建议用户根据实际业务场景进行配置。

**规则影响：**

配置SELinux审计，由于在策略文件操作时需要记录审计日志，对性能有轻微影响。

**检查方法：**

通过如下命令检查selinux相关审计配置：

```bash
# auditctl -l | grep -iE "selinux"
-w /etc/selinux -p wa -k selinux
-w /usr/share/selinux -p wa -k selinux
```

**修复方法：**

在/etc/audit/rules.d/目录下新建规则文件，例如selinux.rules，在文件中添加审计规则：

```bash
# vim /etc/audit/rules.d/selinux.rules
-w /etc/selinux/ -p wa -k <rules name>
-w /usr/share/selinux/ -p wa -k <rules name>
```

重启auditd服务，使规则生效：

```bash
# service auditd restart
Stopping logging: [  OK  ]
Redirecting start to /bin/systemctl start auditd.service
```