### 4.1.1 确保auditd审计已启用

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

auditd组件是Linux审计框架的用户空间组件，auditd组件提供了auditctl、ausearch、aureport三个程序完成审计和查看日志功能。配置审计规则是通过auditctl程序完成的，该程序启动时从/etc/audit/audit.rules读取这些规则。后台程序本身可以通过设置/etc/audit/auditd.conf 文件来进行定制。其他两个组件分别是audispd和autrace。audispd用于给其他应用发送事件通知，而autrace则通过与strace类似的方式对系统调用进行追踪。系统中一些文件是非常重要的，是不可以轻意修改的，对于这类文件使用auditd组件对其进行审计是非常有必要的。

openEuler默认要求启用audit审计功能。

**规则影响：** 

审计系统提供了一种记录系统安全信息的方法，为系统管理员在用户违反系统规则时提供及时的警告信息，但启用后对性能有一定影响。

**检查方法：**

执行如下命令，查看auditd.service服务默认状态是否为enable

```bash
# systemctl is-enabled auditd.service
enabled
```
执行如下命令，查看auditd.service服务当前是否已经启动
```bash
# systemctl status auditd.service | grep active
Active: active (running) since Fri 2023-10-13 08:00:00 CST; 2 days ago
```
**修复方法：**

使能并启动auditd.service：

```bash
# systemctl enable auditd.service
# systemctl start auditd.service
```