### 4.1.20 应当配置文件删除审计规则

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

操作系统中文件删除操作一般都属于高危操作，管理员误操作或者攻击者攻击行为，都可能导致严重的系统故障，建议通过对rename、unlink、unlinkat、renameat等系统调用进行审计监控，记录删除操作日志。删除系统或业务文件，在攻击行为中比较常见，建议配置审计规则，以便事后追溯。

openEuler默认不配置文件删除审计规则，建议用户根据实际业务场景配置相应规则。

**规则影响：**

配置审计，由于在文件删除时需要进行审计日志记录，对性能有轻微影响，如果实际业务场景存在大量文件删除操作，则累积影响可能较大。

**检查方法：**

如果是32位系统，通过如下命令检查配置：

```bash
# auditctl -l | grep -iE "unlink|unlinkat|rename|renameat"
-a always,exit -F arch=b32 -S rename,unlink,unlinkat,renameat -F auid>=1000 -F auid!=-1 -F key=filedelete
```
如果是64位系统，还需有如下配置：

```bash
-a always,exit -F arch=b64 -S rename,unlink,unlinkat,renameat -F auid>=1000 -F auid!=-1 -F key=filedelete
```
**修复方法：**

如果是32位系统，在/etc/audit/rules.d/目录下新建规则文件，例如filedelete.rules，在文件中添加审计规则，此处\<min uid>是/etc/login.defs文件中UID_MIN的值，openEuler上默认是1000：

```bash
# vim /etc/audit/rules.d/filedelete.rules
-a always,exit -F arch=b32 -S unlink -S unlinkat -S rename -S renameat -F auid>=<min uid> -F auid!=unset -k <rules name>
```
如果是64位系统，需要再添加arch=b64相关配置：

```bash
-a always,exit -F arch=b64 -S unlink -S unlinkat -S rename -S renameat -F auid>=<min uid> -F auid!=unset -k <rules name>
```
考虑兼容性，64位系统中arch=b32相关配置必须保留。
重启auditd服务，使规则生效：

```bash
# service auditd restart
Stopping logging: [  OK  ]
Redirecting start to /bin/systemctl start auditd.service
```