### 4.1.21 应当配置文件系统挂载审计规则

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

通常情况下，业务部署完成后，文件系统挂载已经固定，不会变更。如果发生变更，可能存在攻击行为，建议对这些文件系统挂载进行审计监控，如果有变更，事后也可进行追溯。

openEuler默认不配置文件系统挂载审计规则，建议用户根据实际业务场景配置相应规则。

**规则影响：**

配置审计，由于在文件系统挂载时需要进行审计日志记录，对性能有轻微影响，但文件系统挂载相关操作应不频繁，实际对用户无感知。

**检查方法：**

如果是32位系统，通过如下命令检查配置：

```bash
# auditctl -l | grep -iE "mount"
-a always,exit -F arch=b32 -S mount -F auid>=1000 -F auid!=-1 -F key=mount
```
如果是64位系统，还需有如下配置：

```bash
-a always,exit -F arch=b64 -S mount -F auid>=1000 -F auid!=-1 -F key=mount
```

**修复方法：**

如果是32位系统，在/etc/audit/rules.d/目录下新建规则文件，例如mount.rules，在文件中添加审计规则，此处\<min uid>是/etc/login.defs文件中UID_MIN的值，openEuler上默认是1000：

```bash
# vim /etc/audit/rules.d/mount.rules
-a always,exit -F arch=b32 -S mount -F auid>=<min uid> -F auid!=unset -k <rules name>
```
如果是64位系统，需要再添加arch=b64相关配置：

```bash
-a always,exit -F arch=b64 -S mount -F auid>=<min uid> -F auid!=unset -k <rules name>
```
考虑兼容性，64位系统中arch=b32相关配置必须保留。
重启auditd服务，使规则生效：

```bash
# service auditd restart
Stopping logging: [  OK  ]
Redirecting start to /bin/systemctl start auditd.service
```