### 4.1.2 确保审计日志rotate已启用

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

max_log_file_action用于配置日志文件到达大小上限时该如何处理，openEuler默认配置ROTATE，表示单个文件写满后会重新创建日志文件进行记录，不会删除原先的日志文件。

num_logs表示基于ROTATE机制，最多可以创建多少个日志文件，如果日志文件数量达到上限，则会依次覆盖最早创建的文件。openEuler默认配置为5。

num_logs取值范围为0~99，其中0和1表示不做rotate。

max_log_file_action一共有5种可选配置项：

IGNORE：表示忽略日志文件大小上限，继续在该文件上记录日志。

SYSLOG：同IGNORE类似，只是达到上限时会记录一条syslog日志。

SUSPEND：达到日志文件大小上限，auditd服务进程停止日志记录。

ROTATE：达到日志文件大小上限，新建日志文件继续记录，如果文件数达到num_logs，则覆盖旧文件。

KEEP_LOGS：同ROTATE类似，只是不受num_logs限制，会一直新建文件。

**规则影响：**

rotate会按照配置，在日志文件达到写入上限之后依次覆盖最早创建的文件。

**检查方法：**

使用如下命令检查当前配置：

```bash
# grep -iE "max_log_file_action|num_logs" /etc/audit/auditd.conf
num_logs = 5
max_log_file_action = ROTATE
```

**修复方法：**

修改/etc/audit/auditd.conf文件中max_log_file_action和num_logs字段的值：

```bash
# vim /etc/audit/auditd.conf
num_logs = <file numbers>
max_log_file_action = <action type>
```

重启auditd服务，使配置生效：

```bash
# service auditd restart
Stopping logging: [  OK  ]
Redirecting start to /bin/systemctl start auditd.service
```