### 4.1.3 应当配置登录审计规则

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

用户成功登录时会在/var/log/lastlog文件中刷新记录，所以只要对该文件进行审计监控，就可以记录用户登录事件。如果不配置登录审计，管理员无法从audit日志中追溯登录事件。

openEuler默认不配置登录审计规则，建议用户根据实际业务场景配置相应规则。

**规则影响：**

配置登录审计，由于在文件操作时需要记录审计日志，对性能有轻微影响，但由于登录动作本身不应快速、频繁发生，用户无感知。

**检查方法：**

通过执行如下指令，检查用户登录的审计规则：

```bash
# auditctl -l | grep -iE "lastlog"
-w /var/log/lastlog -p wa -k logins
```

**修复方法：**

在/etc/audit/rules.d/目录下新建规则文件，例如logins.rules，在文件中添加审计规则：

```bash
# vim /etc/audit/rules.d/logins.rules
-w /var/log/lastlog -p wa -k <rules name>
```

重启auditd服务，使规则生效：

```bash
# service auditd restart
Stopping logging: [  OK  ]
Redirecting start to /bin/systemctl start auditd.service
```