### 4.1.4 应当配置账号信息修改审计规则

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

通常情况下，业务部署完成后，用户账号、用户组已经固定，不会变更，口令由于有效期的缘故，会定期修改，但也不频繁。建议对这些认证授权关键数据进行审计监控，如果有变更，事后也可进行追溯。修改账号、用户组、口令等行为，在攻击行为中比较常见，建议配置审计规则，以便事后追溯。

openEuler默认不配置账号信息修改审计规则，建议用户根据实际业务场景配置相应规则。

**规则影响：**

配置审计，由于在操作对应配置文件时需要进行审计日志记录，对性能有轻微影响，但对用户账号、用户组以及口令的修改应不频繁，实际对用户无感知。

**检查方法：**

通过如下命令，检查修改账号信息的审计规则：

```bash
# auditctl -l | grep -iE "passwd|group|shadow"
-w /etc/group -p wa -k usermgn
-w /etc/passwd -p wa -k usermgn
-w /etc/gshadow -p wa -k usermgn
-w /etc/shadow -p wa -k usermgn
-w /etc/security/opasswd -p wa -k usermgn
```

**修复方法：**

在/etc/audit/rules.d/目录下新建规则文件，例如usermgn.rules，在文件中添加审计规则：

```bash
# vim /etc/audit/rules.d/usermgn.rules
-w /etc/group -p wa -k <rules name>
-w /etc/passwd -p wa -k <rules name>
-w /etc/gshadow -p wa -k <rules name>
-w /etc/shadow -p wa -k <rules name>
-w /etc/security/opasswd -p wa -k <rules name>
```

重启auditd服务，使规则生效：

```bash
# service auditd restart
Stopping logging: [  OK  ]
Redirecting start to /bin/systemctl start auditd.service
```