### 4.1.7 应当配置管理员特权操作审计规则

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

openEuler系统中sudo提取命令操作日志默认记录在/var/log/secure日志文件中，该文件中还记录有其他认证相关的安全日志，如果用户希望对sudo提取命令进行audit审计，建议将sudo相关日志单独记录，输出到/var/log/sudo.log中，然后再对sudo日志文件进行审计监控。sudo提权属于高危操作，在攻击行为中比较常见，建议配置审计规则，以便事后追溯。

openEuler默认不配置管理员特权操作审计规则，建议用户根据实际业务场景配置相应规则。

**规则影响：**

配置审计，由于在进行任何sudo提权操作时都需要进行审计日志记录，对性能有轻微影响，如果用户业务场景中存在大量、频繁的sudo操作，对性能影响有累积效果。

**检查方法：**

通过如下命令检查管理员特权操作的审计规则，其中sudo输出日志路径根据实际配置情况可能有变化：

```bash
# auditctl -l | grep -iE "sudo\.log"
-w /var/log/sudo.log -p wa -k sudoaction
```

**修复方法：**

修改/etc/sudoers文件，配置sudo日志独立记录到/var/log/sudo.log文件中：

```bash
vim /etc/sudoers
Defaults logfile=/var/log/sudo.log
```

在/etc/audit/rules.d/目录下新建规则文件，例如sudoaction.rules，在文件中添加审计规则，此处审计的文件“/var/log/sudo.log”必须是/etc/sudoers中配置的日志输出文件：

```bash
vim /etc/audit/rules.d/sudoaction.rules
-w /var/log/sudo.log -p wa -k <rules name>
```

重启auditd服务，使规则生效：

```bash
# service auditd restart
Stopping logging: [  OK  ]
Redirecting start to /bin/systemctl start auditd.service
```