### 4.1.8 应当在启动阶段启用auditd

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

在启动阶段启用auditd，可以对操作系统启动过程中，auditd服务完成启动前的事件进行审计。启动过程中如果不启用审计，如果攻击者在启动过程中添加一些攻击行为，可能就无法被审计到。

openEuler默认不配置，建议用户可根据实际场景，确定是否在内核启动参数中添加“audit=1”字段，以便在操作系统启动阶段使能审计功能。

**规则影响：**

无

**检查方法：**

执行如下命令，查看内核启动参数中是否已经添加“audit=1”：

```bash
# cat /proc/cmdline | grep "audit=1"
BOOT_IMAGE=/vmlinuz-<kernel version> root=/dev/mapper/openeuler-root ro resume=/dev/mapper/openeuler-swap rd.lvm.lv=openeuler/root rd.lvm.lv=openeuler/swap crashkernel=512M quiet audit=1 
```

**修复方法：**

* 修改grub.cfg文件，直接在对应内核启动参数后面添加，需要注意的是，grub.cfg文件所在目录根据系统安装配置会有不同，大部分情况存在于/boot/grub2/或/boot/efi/EFI/openeuler/目录下：

  ```bash
  # vim /boot/efi/EFI/openeuler/grub.cfg
  linuxefi	/vmlinuz-<kernel version> root=/dev/mapper/openeuler-root ro resume=/dev/mapper/openeuler-swap rd.lvm.lv=openeuler/root rd.lvm.lv=openeuler/swap crashkernel=512M quiet audit=1
  ```

* 或者修改配置文件/etc/default/grub，在GRUB_CMDLINE_LINUX字段添加“audit=1”，然后重新生成grub.cfg文件：

  ```bash
  # vim /etc/default/grub
  GRUB_CMDLINE_LINUX="/dev/mapper/openeuler-swap rd.lvm=openeuler/root rd.lvm.lv=openeuler/swap crashkernel quiet audit=1"
  
  # grub2-mkconfig -o /boot/grub2/grub.cfg
  ```

* 修改后重启系统生效：

  ```bash
  # reboot
  ```