### 4.2.1 确保rsyslog服务已启用

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

当前系统日志默认存储在内存，若不开启rsyslog服务，系统日志无法转储到持久性存储设备，系统重启后，会导致日志丢失。

rsyslog服务用于转储、分发系统日志，具有以下特点：

- 多线程工作
- 支持UDP、TCP、SSL、TLS、RELP
- 支持将日志存储到MySQL、PGSQL、Oracle等多种关系数据库中
- 支持日志信息过滤
- 自定义输出格式

**规则影响：**

无

**检查方法：**

- 执行如下命令，查看rsyslog.service服务默认状态是否为enable

  ```bash
  # systemctl is-enabled rsyslog.service
  enabled
  ```

- 执行如下命令，查看rsyslog.service服务是否已经启动成功：

  ```bash
  # systemctl status rsyslog.service | grep Active
  Active: active (running) since Tue 2020-12-01 16:33:25 CST; 2h 46min ago
  ```

**修复方法：**

- 执行如下命令，使能rsyslog.service

  ```bash
  # chkconfig rsyslog on
  ```
  或
  ```bash
  # systemctl enable rsyslog.service
  ```
- 执行如下命令，启动rsyslog.service

  ```bash
  # systemctl start rsyslog.service
  ```