### 4.2.2 确保系统认证相关事件日志已记录

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

必须记录系统认证相关的事件，以便帮助分析用户登录、root权限使用以及监视系统的可疑动作等情况。

不记录系统认证相关事件日志，会导致无法从日志上分析可疑的攻击动作，例如攻击者尝试猜测管理员口令，而进行的登录动作。

**规则影响：**

无

**检查方法：**

检查/etc/rsyslog.conf文件中是否已经配置auth相关字段：

```bash
# grep auth /etc/rsyslog.conf | grep -v "^#"
*.info;mail.none;authpriv.none;cron.none           /var/log/messages
authpriv.*                                         /var/log/secure
```

**修复方法：**

在/etc/rsyslog.conf文件添加如下设置：

```bash
# vim /etc/rsyslog.conf
*.info;mail.none;authpriv.none;cron.none           /var/log/messages
authpriv.*                                         /var/log/secure
```

执行如下命令，重启服务，使配置生效

```bash
# systemctl restart rsyslog.service
```