### 4.2.3 确保cron服务日志已记录

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

linux系统计划任务一般由cron来承担，由于cron可能会被黑客利用来加载恶意代码，因此需要全部记录cron的日志信息，以便跟踪系统异常状况。

不记录cron日志，当出现攻击者恶意操作时，将无法从日志信息中查看异常，进而无法跟踪系统异常状况。

**规则影响：**

无

**检查方法：**

检查/etc/rsyslog.conf文件中是否已经配置相关字段：

```bash
# grep /var/log/cron /etc/rsyslog.conf
cron.*                                                  /var/log/cron
```

**修复方法：**

修改/etc/rsyslog.conf文件，添加cron相关配置字段：

```bash
# vim /etc/rsyslog.conf
cron.*                                                  /var/log/cron
```

执行如下命令，重启服务，使配置生效

```bash
# systemctl restart rsyslog.service
```