### 4.2.4 应当正确配置rsyslog默认文件权限

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

日志文件记录了系统的行为，日志工具rsyslog能将日志记录到设定的文件中。当设定的日志文件在系统中不存在时，rsyslog能创建新日志文件。新创建的日志文件权限可在rsyslog配置文件中进行配置，通过设置默认文件权限以确保新创建的日志文件具有合理安全的权限。

若日志文件权限过大，普通用户也能读取日志，则增加了日志信息泄漏和被篡改的风险。合理的日志文件权限确保敏感的日志数据能得到保护。建议将日志权限设置为0600。

**规则影响：**

无

**检查方法：**

检查/etc/rsyslog.conf或/etc/rsyslog.d/*.conf配置文件是否配置了合理的默认文件权限，如果指令存在返回值且FileCreateMode的值不为0600，则说明系统日志信息存在泄露和被篡改的风险，需对日志文件权限进行修复。

```bash
# grep ^\$FileCreateMode /etc/rsyslog.conf /etc/rsyslog.d/*.conf
/etc/rsyslog.d/sysalarm.conf:$FileCreateMode 0600
```

**修复方法：**

修改/etc/rsyslog.conf或/etc/rsyslog.d/*.conf，为$FileCreateMode设置合理的权限：

```bash
# vim /etc/rsyslog.d/test.conf
$FileCreateMode 0600
```

rsyslog.conf中默认会包含/etc/rsyslog.d/*.conf中的配置，因此配置任何一处即可。

执行如下命令，重启服务，使配置生效

```bash
# systemctl restart rsyslog.service
```