### 4.2.5 应当正确配置各服务日志记录

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

配置日志记录，这样系统的重要行为及安全相关的信息将使用rsyslog进行记录。配置文件/etc/rsyslog.conf及/etc/rsyslog.d/*.conf中可以指定记录日志的规则及哪些文件将用于记录特定类型的日志。

若不配置日志记录，系统的行为无法记录，在出现问题时无法进行问题定位及审计。

**规则影响：**

配置日志记录后，如果不及时清理日志，日志可能占满当前分区，导致其他进程或系统故障风险。

**检查方法：**

检查/etc/rsyslog.conf及/etc/rsyslog.d/*.conf中是否配置了合理的日志记录规则，例如：

```bash
# grep \/var\/log /etc/rsyslog.conf /etc/rsyslog.d/*.conf
/etc/rsyslog.conf:*.info;mail.none;authpriv.none;cron.none        /var/log/messages
/etc/rsyslog.conf:authpriv.*                                 /var/log/secure
/etc/rsyslog.conf:mail.*                                    /var/log/maillog
/etc/rsyslog.conf:cron.*                                    /var/log/cron
/etc/rsyslog.conf:uucp,news.crit                             /var/log/spooler
/etc/rsyslog.conf:local7.*                                  /var/log/boot.log
```

**修复方法：**

在/etc/rsyslog.conf及/etc/rsyslog.d/*.conf中配置合理的日志记录规则，以/etc/rsyslog.conf为例：

```bash
# vim /etc/rsyslog.conf
/etc/rsyslog.conf:*.info;mail.none;authpriv.none;cron.none        /var/log/messages
/etc/rsyslog.conf:authpriv.*                                 /var/log/secure
/etc/rsyslog.conf:mail.*                                    /var/log/maillog
/etc/rsyslog.conf:cron.*                                    /var/log/cron
/etc/rsyslog.conf:uucp,news.crit                             /var/log/spooler
/etc/rsyslog.conf:local7.*                                  /var/log/boot.log
```

系统管理员在配置日志规则时，按需进行合理配置。以mail日志为例，“*”表示所有级别的日志；“/var/log/maillog”意思是mail相关的日志记录到该文件中。具体的日志配置规则可参考rsyslog标准。

执行如下命令，重启服务，使配置生效

```bash
# systemctl restart rsyslog.service
```