### 4.2.6 确保rsyslog转储journald日志已配置

**级别：** 要求

**适用版本：** 全部

**规则说明：** 

系统采用journald进行日志收集，日志可能存在易失性存储设备上，也有可能存储在持久性存储设备上，存在日志丢失或者日志占满磁盘等问题，及时对日志进行转储，保障日志与系统更加安全。

**规则影响：**

日志如果存在易失性存储设备，不及时对日志进行转储，可能导致日志丢失。如果存在持久性存储设备上，日志量可能非常大，不及时对日志进行转储，有可能导致日志占满当前分区，导致其他进程或系统故障风险。

**检查方法：**

检查/etc/rsyslog.conf文件中是否已经配置相关字段，如果返回结果不为空，表示已配置：

```bash
# grep imjournal /etc/rsyslog.conf
module(load="imjournal"   # provides access to the systemd journal
StateFile="/run/log/imjournal.state") # File to store the position in the journal
```

**修复方法：**

打开/etc/rsyslog.conf文件，新增如下设置：

```bash
# vim /etc/rsyslog.conf
module(load="imjournal"   # provides access to the systemd journal
StateFile="/run/log/imjournal.state") # File to store the position in the journal
```

执行如下命令，重启服务，使配置生效

```bash
# systemctl restart rsyslog.service
```