### 4.2.8 应当配置远程日志服务器

**级别：** 建议

**适用版本：** 全部

**规则说明：** 

rsyslog日志服务可以将本地日志发送到远端日志服务器统一保存，有利于组网环境下日志集中管理，防止本地日志占用过多硬盘空间的同时，也可以防止日志在本地被篡改。

如果不配置远程日志存储，则rsyslog日志会保存在本地文件中，管理员正确配置日志存储路径以及rotate参数的情况下，对系统及业务无影响。如果配置了远程日志存储，就必须保证日志传输过程安全，如传输日志前进行加密、通过开启安全加密通道（TCP+TLS1.2及更高版本）等方法进行日志传输。

openEuler默认不配置远程日志存储，建议用户根据实际业务场景进行配置。

**规则影响：**

配置远程日志存储，则需要确保日志服务器有足够的硬盘空间用于存储组网环境下所有服务器上报的日志。

**检查方法：**

检查/etc/rsyslog.d/目录下配置文件中是否已经配置相关字段：

```bash
# grep -irE "^*.*@*:[0-9]+$" /etc/rsyslog.d/*.conf
/etc/rsyslog.d/server.conf:*.* @@9.82.213.138:11514
```

**修复方法：**

在/etc/rsyslog.d/目录下新建以conf为后缀的配置文件，例如server.conf，然后加入配置如下，其中“*.*” 指将所有的日志都打印到服务器（含义是：日志类型.日志级别，mail.info就表示只将mail的info日志打印到服务器），“@”表示使用UDP协议，“@@”表示使用TCP协议：

```bash
# vim /etc/rsyslog.d/server.conf
*.* @@<remote IP>:<remote port>
# 如果是IPv6，则添加如下配置:
*.* @@[<remove IPv6>%<interface name>]:<remote port>
```

执行如下命令，重启服务，使配置生效

```bash
# systemctl restart rsyslog.service
```